<?php
/**
 * Joomla! 1.5 component Collector
 *
 * @version 	$Id: controller.php 120 2011-09-04 22:33:31Z steevo $
 * @author 		Philippe Ousset steevo@steevo.fr
 * @package 	Collector
 * @license 	GNU/GPL
 *
 * Collector is a Multi Purpose Listing Tool.
 * Originaly developped to list Collections
 * it can be used for several purpose.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.controller' );

if(version_compare(JVERSION,'1.6.0','<')){
//Code pour Joomla! 1.5

/**
 * Collector Controller
 *
 * @package  	Collector
 */
class CollectorsController extends JController
{
	/**
	 * Method to display a view
	 *
	 * @access	public
	 */
	function display()
	{		
		parent::display();
	}
}

}else{
	
/**
 * Collector Controller
 *
 * @package  	Collector
 */
class CollectorController extends JController
{
	/**
	 * @var		string	The default view.
	 * @since	1.6
	 */
	protected $default_view = 'collectors';

	/**
	 * Method to display a view
	 *
	 * @access	public
	 */
	function display()
	{
		require_once JPATH_COMPONENT.'/helpers/collector.php';
		
		// Load the submenu.
		CollectorHelper::addSubmenu(JRequest::getCmd('view', 'collectors'));
		
		parent::display();
	}
}
	
}