<?php
/**
 * Joomla! 1.5 component Collector
 *
 * @version 	$Id: definedcontent.php 120 2011-09-04 22:33:31Z steevo $
 * @author 		Philippe Ousset steevo@steevo.fr
 * @package 	Collector
 * @license 	GNU/GPL
 *
 * Collector is a Multi Purpose Listing Tool.
 * Originaly developped to list Collections
 * it can be used for several purpose.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.controller');

/**
 * Definedcontent Controller
 *
 * @package  	Collector
 */
class CollectorsControllerDefinedcontent extends CollectorsController
{
	/**
	 * Method to edit a defined field content
	 *
	 * @access	public
	 */
	function edit()
	{
		JRequest::setVar('view', 'definedcontentedit');
		JRequest::setVar('hidemainmenu',1);
		JRequest::setVar('edit', true);
		
		parent::display();
	}
	
	/**
	 * Method to add a defined field content
	 *
	 * @access	public
	 */
	function add()
	{
		JRequest::setVar('view', 'definedcontentedit');
		JRequest::setVar('hidemainmenu',1);
		JRequest::setVar('edit', false);
		
		parent::display();
	}
	
	/**
	 * Cancels an edit defined field content operation
	 *
	 * @access	public
	 */
	function cancel()
	{
		$option = JRequest::getCmd( 'option' );
		$view = JRequest::getCmd( 'view' );
		$defined = JRequest::getCmd( 'defined' );
		
		$model = $this->getModel('definedcontentedit');
		
		// $model->checkin();
		
		$this->setRedirect( 'index.php?option='.$option.'&view='.$view.'&defined='.$defined, $msg );
	}
	
	/**
	 * Method to save a defined field content
	 *
	 * @access	public
	 */
	function save()
	{
		$option = JRequest::getCmd( 'option' );
		$view = JRequest::getCmd( 'view' );
		$defined = JRequest::getCmd( 'defined' );
		
		$model = $this->getModel('definedcontentedit');
		
		if ($model->store())
		{
			$msg = JText::_( 'COM_COLLECTOR_FIELD_SAVED' );
		}
		else
		{
			$msg = JText::_( 'COM_COLLECTOR_ERROR_SAVE' );
		}
		
		$this->setRedirect( 'index.php?option='.$option.'&view='.$view.'&defined='.$defined, $msg );
	}
	
	/**
	 * Method to edit a defined field content and reload edition
	 *
	 * @access	public
	 */
	function apply()
	{
		$option = JRequest::getCmd( 'option' );
		$defined = JRequest::getCmd( 'defined' );
		
		JRequest::setVar('hidemainmenu',1);
		
		$model = $this->getModel('definedcontentedit');
		
		if ($model->store())
		{
			$msg = JText::_( 'COM_COLLECTOR_FIELD_SAVED' );
		}
		else
		{
			$msg = JText::_( 'COM_COLLECTOR_ERROR_SAVE' );
		}
		
		$id = $model->_definedcontentId;
		
		$this->setRedirect( 'index.php?option='.$option.'&controller=definedcontent&defined='.$defined.'&task=edit&cid[]='.$id, $msg );
	}
	
	/**
	 * Method to delete a defined field content
	 *
	 * @access	public
	 */
	function remove()
	{
		$option = JRequest::getCmd( 'option' );
		$view = JRequest::getCmd( 'view' );
		$defined = JRequest::getCmd( 'defined' );
		
		$model = $this->getModel('definedcontent');
		
		$msg = $model->remove();
		
		$this->setRedirect( 'index.php?option='.$option.'&view='.$view.'&defined='.$defined, $msg );
	}

	/**
	 * Method to display a view
	 *
	 * @access	public
	 */
	function display()
	{
		parent::display();
	}
}