<?php
/**
 * Joomla! 1.5 component Collector
 *
 * @version 	$Id: collectionedit.php 117 2011-03-09 21:50:12Z steevo $
 * @author 		Philippe Ousset steevo@steevo.fr
 * @package 	Collector
 * @license 	GNU/GPL
 *
 * Collector is a Multi Purpose Listing Tool.
 * Originaly developped to list Collections
 * it can be used for several purpose.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );

/**
 * Collectionedit model
 * @package	Collector
 */
class CollectorsModelCollectionedit extends JModel
{
	/**
	 * Collection Id
	 * @var int
	 */
	var $_collectionId = null;

	/**
	 * Collectionedit model constructor
	 *
	 * @access	public
	 */
	function __construct()
	{
		parent::__construct();
	}

	/**
	 * Method to store a record
	 *
	 * @return	boolean	True on success
	 */
	function store()
	{
		// on initialise les variables
		$db =& JFactory::getDBO();
		$user =& JFactory::getUser();
		$nulldate = $db->getNullDate();

		$query = 'SELECT *';
		$query .= ' FROM `#__collector`';
		$query .= ' WHERE home = 1';

		$default = $this->_getListCount( $query );

		$row = & JTable::getInstance('collector','Table');
		if (!$row->bind(JRequest::get('post'))) {
			JError::raiseError( 500, $db->stderr() );
			return false;
		}

		// sanitise id field
		$row->id = (int) $row->id;

		$isNew = true;
		// Are we saving from an item edit?
		if ($row->id) {
			$isNew = false;
			$datenow =& JFactory::getDate();
			$row->modified = $datenow->toMySQL();
			$row->modified_by = $user->get('id');
		}

		if ($default == 0)
		{
			$row->home = 1;
		}

		$post = JRequest::get('post');

		// mise en forme du texte de description
		$post['description'] = JRequest::getVar('description', '', 'post', 'string', JREQUEST_ALLOWRAW);

		foreach ($post as $k => $v)
		{
			if (!is_array($k))
			{
				$data->$k = $v;
			}
		}

		$details = JRequest::getVar('details', array(0), 'post', 'array');

		if (is_array($details))
		{
			foreach ($details as $k => $v)
			{
				$data->$k = $v;
			}
		}

		$custom = JRequest::getVar('custom_title', array(0), 'post', 'array');
		if ( count($custom) > 1 )
		{
			unset($custom[count($custom)-1]);
		}

		$data->custom = implode("/", $custom);

		//horodatage universel
		$config =& JFactory::getConfig();
		$tzoffset = $config->getValue('config.offset');
		$date =& JFactory::getDate($data->created, $tzoffset);
		$data->created = $date->toMySQL();
		$date =& JFactory::getDate($data->publish_up, $tzoffset);
		$data->publish_up = $date->toMySQL();
		$date =& JFactory::getDate($data->publish_down, $tzoffset);
		$data->publish_down = $date->toMySQL();

		$metadata = JRequest::getVar('meta', null, 'post', 'array');

		if (is_array($metadata))
		{
			$txt = array();
			foreach ($metadata as $k => $v)
			{
				if ($k == 'description')
				{
					$data->metadesc = $v;
				}
				else if ($k == 'keywords')
				{
					$data->metakey = $v;
				}
				else
				{
					$txt[] = "$k=$v";
				}
			}
			$data->metadata = implode("\n", $txt);
		}

		// bind the form fields to the collector table
		if ( !$row->bind($data) )
		{
			JError::raiseError( 500, $row->getError() );
			return false;
		}

		// make sure the collector record is valid
		if ( !$row->check() )
		{
			JError::raiseError( 500, $row->getError() );
			return false;
		}

		// store the record in the database
		if ( !$row->store() )
		{
			JError::raiseError( 500, $row->getError() );
			return false;
		}

		// creation du repertoire par defaut des images
		$base_directory = '../images/collector/collection/';
		if ( ! JFolder::exists($base_directory.$row->alias) )
		{
			JFolder::create($base_directory.$row->alias);
		}

		$this->_collectionId = $row->id;

		// libere la collection
		$row->checkin();

		return true;
	}

	/**
	 * Method to checkin a record
	 *
	 * @return	boolean	True on success
	 */
	function checkin()
	{
		// on initialise les variables
		$db =& JFactory::getDBO();
		$user =& JFactory::getUser();

		$row = & JTable::getInstance('collector','Table');
		if (!$row->bind(JRequest::get('post'))) {
			JError::raiseError( 500, $db->stderr() );
			return false;
		}

		// libere la collection
		$row->checkin();

		return true;
	}
}
