<?php
/**
 * Joomla! 1.5 component Collector
 *
 * @version 	$Id: definedcontentedit.php 117 2011-03-09 21:50:12Z steevo $
 * @author 		Philippe Ousset steevo@steevo.fr
 * @package 	Collector
 * @license 	GNU/GPL
 *
 * Collector is a Multi Purpose Listing Tool.
 * Originaly developped to list Collections
 * it can be used for several purpose.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );

/**
 * Definedcontentedit model
 * @package	Collector
 */
class CollectorsModelDefinedcontentedit extends JModel
{
	/**
	 * Defined list Id
	 * @var int
	 */
	var $_defined = null;
	
	/**
	 * Defined content Id
	 * @var int
	 */
	var $_definedcontentId = null;
	
	/**
	 * Folder image storage
	 * @var string
	 */
	var $_folder = null;
	
	/**
	 * Image width
	 * @var int
	 */
	var $_width = null;
	
	/**
	 * Image height
	 * @var int
	 */
	var $_height = null;
	
	/**
	 * Definedcontentedit model constructor
	 *
	 * @access	public
	 */
	function __construct()
	{
		$this->_defined = JRequest::getVar( 'defined', '', '', 'int');
		
		$db =& JFactory::getDBO(); 
		
		$query = 'SELECT alias, width, height';
		$query .= ' FROM #__collector_defined';
		$query .= ' WHERE id=' . $this->_defined;
		
		$db->setQuery( $query );
		
		$result = $db->loadObject();
		$this->_folder = 'images/collector/defined/'.$result->alias;
		$this->_width = $result->width;
		$this->_height = $result->height;
		
		parent::__construct();
	}
	
	/**
	 * Method to store a record
	 *
	 * @return	boolean	True on success
	 */
	function store()
	{
		// on initialise les variables
		$db =& JFactory::getDBO();
		// $user =& JFactory::getUser();
		// $nulldate = $db->getNullDate();
		
		$row = & JTable::getInstance('collector_defined_content','Table');
		if (!$row->bind(JRequest::get('post'))) {
			JError::raiseError( 500, $db->stderr() );
			return false;
		}
		
		// sanitise id field
		$row->id = (int) $row->id;
		
		$isNew = true;
		// Are we saving from an item edit?
		if ($row->id != 0) {
			$isNew = false;
			// $datenow =& JFactory::getDate();
			// $row->modified = $datenow->toMySQL();
			// $row->modified_by = $user->get('id');
		}
		
		$post = JRequest::get('post');
		
		foreach ($post as $k => $v)
		{
			if (!is_array($k))
			{
				$data->$k = $v;
			}
		}
		
		// $details = JRequest::getVar('details', array(0), 'post', 'array');
		
		// if (is_array($details))
		// {
			// foreach ($details as $k => $v)
			// {
				// $data->$k = $v;
			// }
		// }
		
		// bind the form fields to the collector table
		if ( !$row->bind($data) )
		{
			JError::raiseError( 500, $row->getError() );
			return false;
		}
		
		// make sure the collector record is valid
		if ( !$row->check() )
		{
			JError::raiseError( 500, $row->getError() );
			return false;
		}
		
		// store the record in the database
		if ( !$row->store() )
		{
			JError::raiseError( 500, $row->getError() );
			return false;
		}
		
		$this->_definedcontentId = $row->id;
		
		// libre la collection
		// $row->checkin();
		
		return true;
	}
	
	/**
	 * Method to checkin a record
	 *
	 * @return	boolean	True on success
	 */
	function checkin()
	{
		// on initialise les variables
		$db =& JFactory::getDBO();
		$user =& JFactory::getUser();
		
		$row = & JTable::getInstance('collector_defined_content','Table');
		if (!$row->bind(JRequest::get('post'))) {
			JError::raiseError( 500, $db->stderr() );
			return false;
		}
		
		// libre la collection
		$row->checkin();
		
		return true;
	}
	
	/**
	 * Method to get image folder
	 *
	 * @param	string	$image	Image path
	 * @return	string			Image folder
	 */
	function getFolder($image)
	{
		if ( $image == '' )
		{
			$folder = $this->_folder;
		}
		else
		{
			$path = explode('/',$image);
			unset($path[sizeof($path)-1]);
			$folder = implode('/',$path);
		}
		
		return $folder;
	}
	
	/**
	 * Method to get default image width
	 *
	 * @return	int		Image width
	 */
	function getWidth()
	{
		return $this->_width;
	}
	
	/**
	 * Method to get default image height
	 *
	 * @return	int		Image height
	 */
	function getHeight()
	{
		return $this->_height;
	}
}
