<?php
/**
 * Joomla! 1.5 component Collector
 *
 * @version 	$Id: definededit.php 117 2011-03-09 21:50:12Z steevo $
 * @author 		Philippe Ousset steevo@steevo.fr
 * @package 	Collector
 * @license 	GNU/GPL
 *
 * Collector is a Multi Purpose Listing Tool.
 * Originaly developped to list Collections
 * it can be used for several purpose.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );

/**
 * Definededit model
 * @package	Collector
 */
class CollectorsModelDefinededit extends JModel
{
	/**
	 * Defined Id
	 * @var integer
	 */
	var $_definedId = null;
	
	/**
	 * Definededit model constructor
	 *
	 * @access	public
	 */
	function __construct()
	{
		parent::__construct();
	}
	
	/**
	 * Method to store a record
	 *
	 * @return	boolean	True on success
	 */
	function store()
	{
		// on initialise les variables
		$db =& JFactory::getDBO();
		$user =& JFactory::getUser();
		$nulldate = $db->getNullDate();
		
		$row = & JTable::getInstance('collector_defined','Table');
		if (!$row->bind(JRequest::get('post'))) {
			JError::raiseError( 500, $db->stderr() );
			return false;
		}
		
		// sanitise id field
		$row->id = (int) $row->id;
		
		$isNew = true;
		// Are we saving from an item edit?
		if ($row->id != 0) {
			$isNew = false;
			$datenow =& JFactory::getDate();
			$row->modified = $datenow->toMySQL();
			$row->modified_by = $user->get('id');
		}
		
		$post = JRequest::get('post');
		
		foreach ($post as $k => $v)
		{
			if (!is_array($k))
			{
				$data->$k = $v;
			}
		}
		
		$details = JRequest::getVar('details', array(0), 'post', 'array');
		
		if (is_array($details))
		{
			foreach ($details as $k => $v)
			{
				$data->$k = $v;
			}
		}
		
		//horodatage universel
		$config =& JFactory::getConfig();
		$tzoffset = $config->getValue('config.offset');
		$date =& JFactory::getDate($data->created, $tzoffset);
		$data->created = $date->toMySQL();
		
		// bind the form fields to the collector table
		if ( !$row->bind($data) )
		{
			JError::raiseError( 500, $row->getError() );
			return false;
		}
		
		// make sure the collector record is valid
		if ( !$row->check() )
		{
			JError::raiseError( 500, $row->getError() );
			return false;
		}
		
		// store the record in the database
		if ( !$row->store() )
		{
			JError::raiseError( 500, $row->getError() );
			return false;
		}
		
		// creation du repertoire par defaut des images
		$base_directory = '../images/collector/defined/';
		if ( ! JFolder::exists($base_directory.$row->alias) )
		{
			JFolder::create($base_directory.$row->alias);
		}
		
		$this->_definedId = $row->id;
		
		// libre la collection
		$row->checkin();
		
		return true;
	}
	
	/**
	 * Method to checkin a record
	 *
	 * @return	boolean	True on success
	 */
	function checkin()
	{
		// on initialise les variables
		$db =& JFactory::getDBO();
		$user =& JFactory::getUser();
		
		$row = & JTable::getInstance('collector_defined','Table');
		if (!$row->bind(JRequest::get('post'))) {
			JError::raiseError( 500, $db->stderr() );
			return false;
		}
		
		// libre la collection
		$row->checkin();
		
		return true;
	}
}
