<?php
/**
 * Joomla! 1.5 component Collector
 *
 * @version 	$Id: yesnoimpossible.php 127 2011-12-10 22:51:55Z steevo $
 * @author 		Philippe Ousset steevo@steevo.fr
 * @package 	Collector
 * @license 	GNU/GPL
 *
 * Collector is a Multi Purpose Listing Tool.
 * Originaly developped to list Collections
 * it can be used for several purpose.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
 
jimport('joomla.form.formfield');

/**
 * Form Field class for the Collector.
 *
 * @package		Collector
 */
class JFormFieldYesnoimpossible extends JFormField
{
	protected $type 		= 'Yesnoimpossible';
	
	protected function getInput()
	{
		// Initialize variables.
		$html = array();
		
		// Initialize some field attributes.
		$class = $this->element['class'] ? ' class="radio '.(string) $this->element['class'].'"' : ' class="radio"';

		// Get the field options.
		$options = $this->getOptions();
		
		// Display a text with a hidden input to store the value.
		if ((string) $this->element['available'] == 'false') {
			$html[] = '<div style="float: left; margin: 0 0 5px 0; padding: 5px" >'.JText::_('COM_COLLECTOR_PARAM_NOT_AVAILABLE').'</div>';
			$html[] = '<input type="hidden" name="'.$this->name.'" value="0"/>';
		}
		// Create a regular list.
		else {
			// Start the radio field output.
			$html[] = '<fieldset id="'.$this->id.'"'.$class.'>';
			
			// Build the radio field output.
			foreach ($options as $i => $option) {
				// Initialize some option attributes.
				$checked    = ((string) $option->value == (string) $this->value) ? ' checked="checked"' : '';
				$class        = !empty($option->class) ? ' class="'.$option->class.'"' : '';
				$disabled    = !empty($option->disable) ? ' disabled="disabled"' : '';
	 
				// Initialize some JavaScript option attributes.
				$onclick    = !empty($option->onclick) ? ' onclick="'.$option->onclick.'"' : '';
	 
				$html[] = '<input type="radio" id="'.$this->id.$i.'" name="'.$this->name.'"' .
						' value="'.htmlspecialchars($option->value, ENT_COMPAT, 'UTF-8').'"'
						.$checked.$class.$onclick.$disabled.'/>';
	 
				$html[] = '<label for="'.$this->id.$i.'"'.$class.'>'.JText::alt($option->text, preg_replace('/[^a-zA-Z0-9_\-]/', '_', $this->fieldname)).'</label>';
			}
			$html[] = '</fieldset>';
		}
		
		return implode($html);
	}
	
	/**
     * Method to get the field options.
     *
     * @return    array    The field option objects.
     * @since    1.6
     */
    protected function getOptions()
    {
        // Initialize variables.
        $options = array();
 
        foreach ($this->element->children() as $option) {
 
            // Only add <option /> elements.
            if ($option->getName() != 'option') {
                continue;
            }
 
            // Create a new option object based on the <option /> element.
            $tmp = JHtml::_('select.option', (string) $option['value'], trim((string) $option), 'value', 'text', ((string) $option['disabled']=='true'));
 
            // Set some option attributes.
            $tmp->class = (string) $option['class'];
 
            // Set some JavaScript option attributes.
            $tmp->onclick = (string) $option['onclick'];
 
            // Add the option object to the result set.
            $options[] = $tmp;
        }
 
        reset($options);
 
        return $options;
    }
}
?>