<?php
/**
 * Joomla! 1.5 component Collector
 *
 * @version 	$Id: listitem.php 126 2011-11-09 21:54:29Z steevo $
 * @author 		Philippe Ousset steevo@steevo.fr
 * @package 	Collector
 * @license 	GNU/GPL
 *
 * Collector is a Multi Purpose Listing Tool.
 * Originaly developped to list Collections
 * it can be used for several purpose.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.modeladmin' );

/**
 * Definedcontentedit model
 * @package	Collector
 */
class CollectorModelListitem extends JModelAdmin
{
	/**
	 * Returns a reference to the a Table object, always creating it.
	 *
	 * @param	type	The table type to instantiate
	 * @param	string	A prefix for the table class name. Optional.
	 * @param	array	Configuration array for model. Optional.
	 * @return	JTable	A database object
	 * @since	1.6
	 */
	public function getTable($type = 'Collector_defined_content', $prefix = 'Table', $config = array()) 
	{
		
		return JTable::getInstance($type, $prefix, $config);
	}
	
	/**
	 * Definedcontentedit model constructor
	 *
	 * @access	public
	 */
	public function getList()
	{
		$list = JRequest::getVar( 'defined', '', '', 'int');
		
		$db =& JFactory::getDBO(); 
		
		$query = 'SELECT id, alias, width, height';
		$query .= ' FROM #__collector_defined';
		$query .= ' WHERE id=' . $list;
		
		$db->setQuery( $query );
		
		$result = $db->loadObject();
		
		$result->folder = 'images/collector/defined/'.$result->alias;
		
		return $result;
	}
	
	/**
	 * Method to get the record form.
	 *
	 * @param	array	$data		Data for the form.
	 * @param	boolean	$loadData	True if the form is to load its own data (default case), false if not.
	 * @return	mixed	A JForm object on success, false on failure
	 * @since	1.6
	 */
	public function getForm($data = array(), $loadData = true) 
	{
		// Get the form.
		$form = $this->loadForm('com_collector.listitem', 'listitem', array('control' => 'jform', 'load_data' => $loadData));
		if (empty($form)) 
		{
			return false;
		}
		
		// Determine correct permissions to check.
		if ($id = (int) $this->getState('listitem.id')) {
			// Existing record. Can only edit in selected categories.
			$form->setFieldAttribute('collection', 'action', 'core.edit');
			// Existing record. Can only edit own articles in selected categories.
			$form->setFieldAttribute('collection', 'action', 'core.edit.own');
		}
		else {
			// New record. Can only create in selected categories.
			$form->setFieldAttribute('collection', 'action', 'core.create');
		}
		
		return $form;
	}
	
	/**
	 * Method to get the data that should be injected in the form.
	 *
	 * @return	mixed	The data for the form.
	 * @since	1.6
	 */
	protected function loadFormData() 
	{
		// Check the session for previously entered form data.
		$data = JFactory::getApplication()->getUserState('com_collector.edit.list.data', array());
		if (empty($data)) 
		{
			$data = $this->getItem();
		}
		return $data;
	}
	
	/**
	* Method to get a single record.
	*
	* @param    integer    $pk    The id of the primary key.
	*
	* @return    mixed    Object on success, false on failure.
	*/
	public function getItem($pk = null)
	{
		$item = parent::getItem($pk);
		
		$item->defined = JRequest::getVar( 'defined', '', '', 'int');
	
		return $item;
	}
}
