<?php
/**
 * Joomla! 1.5 component Collector
 *
 * @version 	$Id: collector_defined_content.php 125 2011-10-03 22:53:05Z steevo $
 * @author 		Philippe Ousset steevo@steevo.fr
 * @package 	Collector
 * @license 	GNU/GPL
 *
 * Collector is a Multi Purpose Listing Tool.
 * Originaly developped to list Collections
 * it can be used for several purpose.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

if(version_compare(JVERSION,'1.6.0','<')){
//Code pour Joomla! 1.5
/**
 * Collector_defined_content table
 * @package		Collector
 */
class TableCollector_defined_content extends JTable
{
	/** @var int Primary key */
	var $id	= null;
	
	/** @var int */
	var $defined = null;
	
	/** @var string */
	var $content = null;

	/** @var string */
	var $image = null;

	/**
	 * @param database A database connector object
	 */
	function TableCollector_defined_content( &$db )
	{
		parent::__construct( '#__collector_defined_content', 'id', $db );
	}
	
	/**
	 * Overloaded check function
	 *
	 * @access	public
	 * @return	boolean	True if the object is ok
	 * @see		JTable::check
	 */
	function check()
	{
		// check for valid name
		if( trim($this->content) == '' ) {
			$this->setError(JText::_( 'COM_COLLECTOR_COL_NAME' ));
			return false;
		}
		
		$query = 'SELECT id'
		. ' FROM #__collector_defined_content'
		. ' WHERE defined = "' . $this->defined .'"'
		. ' AND content = "' . $this->content .'"'
		. ' AND id != "'. (int) $this->id .'"';
		;
		
		$this->_db->setQuery( $query );
		$xid = intval( $this->_db->loadResult() );
		if ($xid && $xid != intval( $this->id )) {
			$this->setError(  JText::_('COM_COLLECTOR_WARNREG_INUSE'));
			return false;
		}
		
		return true;
	}
}

}else{
//Code pour Joomla >= 1.6.0
/**
 * Collector_defined_content table
 * @package		Collector
 */
class TableCollector_defined_content extends JTable
{
	/**
	 * @param database A database connector object
	 */
	function TableCollector_defined_content( &$db )
	{
		parent::__construct( '#__collector_defined_content', 'id', $db );
	}
	
	/**
	 * Overloaded check function
	 *
	 * @access	public
	 * @return	boolean	True if the object is ok
	 * @see		JTable::check
	 */
	function check()
	{
		// check for valid name
		if( trim($this->content) == '' ) {
			$this->setError(JText::_( 'COM_COLLECTOR_WARNING_PROVIDE_VALID_NAME' ));
			return false;
		}
		
		$query = 'SELECT id'
		. ' FROM #__collector_defined_content'
		. ' WHERE defined = "' . $this->defined .'"'
		. ' AND content = "' . $this->content .'"'
		. ' AND id != "'. (int) $this->id .'"';
		;
		
		$this->_db->setQuery( $query );
		$xid = intval( $this->_db->loadResult() );
		if ($xid && $xid != intval( $this->id )) {
			$this->setError(  JText::_('COM_COLLECTOR_WARNREG_INUSE'));
			return false;
		}
		
		return true;
	}
}

}