<?php
/**
 * Joomla! 1.5 component Collector
 *
 * @version 	$Id: collector_fields_type.php 127 2011-12-10 22:51:55Z steevo $
 * @author 		Philippe Ousset steevo@steevo.fr
 * @package 	Collector
 * @license 	GNU/GPL
 *
 * Collector is a Multi Purpose Listing Tool.
 * Originaly developped to list Collections
 * it can be used for several purpose.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

if(version_compare(JVERSION,'1.6.0','<')){
//Code pour Joomla! 1.5
/**
 * Collector_fields_type table
 * @package		Collector
 */
class TableCollector_fields_type extends JTable
{
	/** @var int Primary key */
	var $id	= null;
	
	/** @var string */
	var $name = null;
	
	/**
	 * @param database A database connector object
	 */
	function TableCollector_fields_type( &$db )
	{
		parent::__construct( '#__collector_fields_type', 'id', $db );
	}
	
	/**
	 * Overloaded check function
	 *
	 * @access	public
	 * @return	boolean	True if the object is ok
	 * @see		JTable::check
	 */
	function check()
	{
		// check for valid name
		if( trim($this->name) == '' ) {
			$this->setError(JText::_( 'COM_COLLECTOR_COL_NAME' ));
			return false;
		}
		
		return true;
	}
}

}else{
//Code pour Joomla >= 1.6.0
/**
 * Collector_fields_type table
 * @package		Collector
 */
class TableCollector_fields_type extends JTable
{
	/**
	 * @param database A database connector object
	 */
	function TableCollector_fields_type( &$db )
	{
		parent::__construct( '#__collector_fields_type', 'id', $db );
	}
}

}