<?php
/**
 * Joomla! 1.5 component Collector
 *
 * @version 	$Id: view.html.php 120 2011-09-04 22:33:31Z steevo $
 * @author 		Philippe Ousset steevo@steevo.fr
 * @package 	Collector
 * @license 	GNU/GPL
 *
 * Collector is a Multi Purpose Listing Tool.
 * Originaly developped to list Collections
 * it can be used for several purpose.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.view');

/**
 * HTML Collectionedit View class for the Collector component
 *
 * @package	Collector
 */
class CollectorsViewCollectionedit extends JView
{
	/**
	 * Display function
	 */
	function display($tpl = null)
	{
		global $mainframe;
		
		// Load pane behavior
		jimport('joomla.html.pane');
		
		$editor =& JFactory::getEditor();
		$pane =& JPane::getInstance('sliders');
		$user =& JFactory::getUser();
		$db =& JFactory::getDBO();
		$nulldate = $db->getNullDate();
		$datenow =& JFactory::getDate();
		
		$edit = JRequest::getBool( 'edit' );
		
		if ( $edit )
		{
			$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
			
			JArrayHelper::toInteger($cid, array(0));
			$this->_id  = JRequest::getVar('id', $cid[0], '', 'int' );
		}
		else
		{
			$this->_id  = '';
		}
		
		$isNew = (empty( $this->_id ));
		
		$option = JRequest::getCmd( 'option' );
		
		// Create and load the content table row
		$row = & JTable::getInstance('collector','Table');
		
		$row->created = $nulldate;
		
		if ( !$isNew )
		{
			$row->load( $this->_id );
			
			if ( $row->state == -1 )
			{
				$mainframe->redirect( 'index.php?option=com_collector&view=collections' , JText::_( 'COM_COLLECTOR_NO_EDIT_COL_ARCHIVED' ) );
			}
			else
			{
				if ( $row->isCheckedOut($user->get('id'),$row->checked_out) )
				{
					$msg = JText::sprintf('COM_COLLECTOR_DESCBEINGEDITTED', JText::_('COM_COLLECTOR_THE_ITEM'), $row->name);
					$mainframe->redirect('index.php?option=com_collector&view=collections', $msg);
				}
			}
			$row->checkout($user->get('id'));
			
		}
		
		// Mise en forme du titre personnalise
		if ( $row->custom == 0 )
		{
			$row->custom = array();
		}
		else
		{
			$row->custom = explode( "/", $row->custom );
		}
		
		// Create the Form
		$form = new JParameter('', JPATH_COMPONENT.DS.'params'.DS.'collection.xml');
		
		// Details Group
		$active = $isNew ? $user->get('id') : intval($row->created_by) ;
		$form->set('created_by', $active);
		$form->set('created_by_alias', $row->created_by_alias);
		$form->set('access', $row->access);
		$form->set('created', JHTML::_( 'date', $row->created, '%Y-%m-%d %H:%M:%S'));
		
		if ( $row->created == $nulldate )
		{
			$form->set('created', JHTML::_( 'date', $datenow->toMysql(), '%Y-%m-%d %H:%M:%S'));
		}
		else
		{
			$form->set('created', JHTML::_( 'date', $row->created, '%Y-%m-%d %H:%M:%S'));
		}
		
		if ( JHTML::_('date', $row->publish_up, '%Y') <= 1969 || $row->publish_up == $nulldate )
		{
			$form->set('publish_up', JText::_( 'COM_COLLECTOR_ALWAYS' ));
		}
		else
		{
			$form->set('publish_up', JHTML::_( 'date', $row->publish_up, '%Y-%m-%d %H:%M:%S'));
		}
		if ( JHTML::_('date', $row->publish_down, '%Y') <= 1969 || $row->publish_down == $nulldate )
		{
			$form->set('publish_down', JText::_('COM_COLLECTOR_NEVER'));
		}
		else
		{
			$form->set('publish_down', JHTML::_( 'date', $row->publish_down, '%Y-%m-%d %H:%M:%S'));
		}
		
		// Metadata Group
		$form->set('description', $row->metadesc);
		$form->set('keywords', $row->metakey);
		$form->loadINI($row->metadata);
		
		$title = $isNew ? JText::_( 'COM_COLLECTOR_COL_MANAGER' ) . ': <small><small>[ '. JText::_( 'COM_COLLECTOR_NEW' ) .' ]</small></small>' : JText::_( 'COM_COLLECTOR_COL_MANAGER' )  . ': <small><small>[ '. JText::_( 'COM_COLLECTOR_EDIT' ) .' ]</small></small>';
		JToolBarHelper::title( $title , 'categories' );
		
		JToolBarHelper::save();
		JToolBarHelper::apply();
		if ($isNew)
		{
			JToolBarHelper::cancel();
		}
		else
		{
			// for existing items the button is renamed 'close'
			JToolBarHelper::cancel( 'cancel' , 'Close' );
		}
		
		JHTML::_('behavior.tooltip');
		
		// Recuperation de la liste des champs
		$select = $this->listFields();
		
		$this->assignRef( 'row', $row );
		$this->assignRef( 'pane', $pane );
		$this->assignRef( 'editor', $editor );
		$this->assignRef( 'form', $form );
		$this->assignRef( 'select', $select );
		
		parent::display($tpl);
	}
	
	/**
	 * Method to display a select html of fields
	 *
	 * @access	public
	 * @return	string	HTML select
	 */
	function listFields()
	{
		$init[] = array('value' => 0, 'text' => '');
		
		$db =& JFactory::getDBO(); 
		$query = 'SELECT id AS value, field AS text ';
		$query .= ' FROM #__collector_fields';
		$query .= ' WHERE collection=\''.$this->_id.'\'';
		$query .= ' AND type IN (\'1\', \'3\', \'4\', \'6\', \'7\')';
		$query .= ' ORDER BY ordering';
		$db->setQuery( $query );
		
		$results = $db->loadObjectList();
		
		//Check for database error
		if (!$db->query())
		{
			return JError::raiseWarning( 500, $db->getErrorMsg() );
		}
		
		$select = $init;
		foreach ( $results as $key => $value )
		{
			$select[$key+1]=$value;
		}
		
		return $select;
	}
	
	/**
	 * Method to display collection informations
	 *
	 * @access	public
	 * @param	object	$row	Collection to display
	 * @return	void
	 */
	function displayCollectionInformations(&$row)
	{
		$db =& JFactory::getDBO();
		$nulldate = $db->getNullDate();
		
		?>
		<table width="100%" style="border: 1px dashed silver; padding: 5px; margin-bottom: 10px;">
		<?php
		if ($row->id)
		{
		?>
		<tr>
			<td>
				<strong><?php echo JText::_( 'COM_COLLECTOR_COLLECTION_ID' ); ?>:</strong>
			</td>
			<td>
				<?php echo $row->id; ?>
			</td>
		</tr>
		<?php
		}
		?>
		<tr>
			<td>
				<strong><?php echo JText::_( 'COM_COLLECTOR_STATE' ); ?></strong>
			</td>
			<td>
				<?php echo $row->state > 0 ? JText::_( 'COM_COLLECTOR_PUBLISHED' ) : ( $row->state < 0 ? JText::_( 'COM_COLLECTOR_ARCHIVED' ) : JText::_( 'COM_COLLECTOR_DRAFT_UNPUBLISHED' ) );?>
			</td>
		</tr>
		<tr>
			<td>
				<strong><?php echo JText::_( 'COM_COLLECTOR_CREATED' ); ?></strong>
			</td>
			<td>
				<?php
				if ( $row->created == $nulldate )
				{
					echo JText::_( 'COM_COLLECTOR_NEW_DOCUMENT' );
				}
				else
				{
					echo JHTML::_( 'date', $row->created, JText::_( 'DATE_FORMAT_LC2') );
				}
				?>
			</td>
		</tr>
		<tr>
			<td>
				<strong><?php echo JText::_( 'COM_COLLECTOR_MODIFIED' ); ?></strong>
			</td>
			<td>
				<?php
				if ( $row->modified == $nulldate )
				{
					echo JText::_( 'COM_COLLECTOR_NOT_MODIFIED' );
				}
				else
				{
					echo JHTML::_('date', $row->modified, JText::_( 'DATE_FORMAT_LC2' ));
				}
				?>
			</td>
		</tr>
		</table>
		<?php
	}
	
}
?>