<?php
/**
 * Joomla! 1.5 component Collector
 *
 * @version 	$Id: view.html.php 126 2011-11-09 21:54:29Z steevo $
 * @author 		Philippe Ousset steevo@steevo.fr
 * @package 	Collector
 * @license 	GNU/GPL
 *
 * Collector is a Multi Purpose Listing Tool.
 * Originaly developped to list Collections
 * it can be used for several purpose.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.view');

if(version_compare(JVERSION,'1.6.0','<')){
//Code pour Joomla! 1.5

/**
 * HTML Collectionfields View class for the Collector component
 *
 * @package	Collector
 */
class CollectorsViewCollectionfields extends JView
{
	/**
	 * Display function
	 */
	function display($tpl = null)
	{
		global $mainframe, $option;
		
		$user =& JFactory::getUser();
		
		// Get data from the model
		$model =& $this->getModel('collectionfields');
		$items =& $model->getData();
		
		$pagination =& $model->getPagination();
		
		$collection = $model->getCollection();
		
		JToolBarHelper::title( JText::_( 'COM_COLLECTOR_FIELDS_MANAGER' ), 'menumgr' );
		
		JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_HOME'), 'index.php?option=com_collector');
		if ($user->authorize('com_collector', 'filemanage')) {
			JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_FILE_MANAGER'), 'index.php?option=com_collector&view=filemanager');
		}
		JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_COLLECTIONS'), 'index.php?option=com_collector&view=collections');
		JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_LISTS'), 'index.php?option=com_collector&view=defined');
		JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_FIELDS'), 'index.php?option=com_collector&view=collectionfields', true);
		JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_ITEMS'), 'index.php?option=com_collector&view=items');
		if ($user->authorize('com_collector', 'templatemanage')) {
			JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_TEMPLATES'), 'index.php?option=com_collector&view=templates');
		}
		
		if ( !empty($collection) )
		{
			JToolBarHelper::makeDefault( 'setdefault' );
			JToolBarHelper::archiveList();
			JToolBarHelper::unarchiveList();
			JToolBarHelper::publishList();
			JToolBarHelper::unpublishList();
			JToolBarHelper::deleteList();
			JToolBarHelper::editListX();
			JToolBarHelper::addNewX();
			
			JHTML::_('behavior.tooltip');
			
			if(version_compare(JVERSION,'1.6.0','<')){
				//Code pour Joomla! 1.5
				$filter_state		= $mainframe->getUserStateFromRequest( $option.'.fields.filter_state',		'filter_state',		'',				'word' );
				$filter_order		= $mainframe->getUserStateFromRequest( $option.'.fields.filter_order',		'filter_order',		'f.ordering',	'cmd' );
				$filter_order_Dir	= $mainframe->getUserStateFromRequest( $option.'.fields.filter_order_Dir',	'filter_order_Dir',	'',				'word' );
				$search				= $mainframe->getUserStateFromRequest( $option.'.fields.search',			'search',			'',				'string' );
			}else{
				//Code pour Joomla >= 1.6.0
				$app = JFactory::getApplication();
				$filter_state		= $app->getUserStateFromRequest( $option.'.fields.filter_state',		'filter_state',		'',				'word' );
				$filter_order		= $app->getUserStateFromRequest( $option.'.fields.filter_order',		'filter_order',		'f.ordering',	'cmd' );
				$filter_order_Dir	= $app->getUserStateFromRequest( $option.'.fields.filter_order_Dir',	'filter_order_Dir',	'',				'word' );
				$search				= $app->getUserStateFromRequest( $option.'.fields.search',			'search',			'',				'string' );
			}
			$search				= JString::strtolower( $search );
			
			// Get list of collections
			$db =& JFactory::getDBO(); 
			$query = 'SELECT id AS value, name AS text ';
			$query .= ' FROM #__collector';
			$db->setQuery( $query );
			
			$results = $db->loadObjectList();
			
			//Check for database error
			if (!$db->query())
			{
				return JError::raiseWarning( 500, $db->getErrorMsg() );
			}
			
			$lists['collections'] = JHTML::_('select.genericlist', $results, 'collection', ' class=inputbox size="1" onchange="submitform( );"', 'value', 'text', $collection);
			
			// state filter
			$lists['state']	= JHTML::_('grid.state',  $filter_state );
			
			// table ordering
			$lists['order_Dir'] = $filter_order_Dir;
			$lists['order'] = $filter_order;
			
			// search filter
			$lists['search']= $search;
			
			// push data into the template
			$this->assignRef('items', $items);     
			$this->assignRef('collection', $collection);     
			$this->assignRef('lists', $lists);
			$this->assignRef('pagination', $pagination);
			
			parent::display($tpl);
		}
		else
		{
			$msg = JText::_( 'COM_COLLECTOR_CONF_COL_FIRST' ) . ' <a href="index.php?option=com_collector&view=collections" >' . JText::_( 'COM_COLLECTOR_CONF_COL_MENU' ) . '</a>';
			$type = 'error';
			$app =& JFactory::getApplication();
			$app->enqueueMessage($msg,$type);
		}
	}
}

}else{
//Code pour Joomla >= 1.6.0

/**
 * HTML Collectionfields View class for the Collector component
 *
 * @package	Collector
 */
class CollectorViewCollectionfields extends JView
{
	/**
	 * Display function
	 */
	function display($tpl = null)
	{
		$app = JFactory::getApplication();
		$app->redirect( 'index.php?option=com_collector&view=fields' );
	}
}

}
?>