﻿<?php
/**
 * Joomla! 1.5 component Collector
 *
 * @version 	$Id: view.html.php 120 2011-09-04 22:33:31Z steevo $
 * @author 		Philippe Ousset steevo@steevo.fr
 * @package 	Collector
 * @license 	GNU/GPL
 *
 * Collector is a Multi Purpose Listing Tool.
 * Originaly developped to list Collections
 * it can be used for several purpose.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.view');

if(version_compare(JVERSION,'1.6.0','<')){
//Code pour Joomla! 1.5

/**
 * HTML Collectors View class for the Collector component
 *
 * @package	Collector
 */
class CollectorsViewCollectors extends JView
{
	/**
	 * Display function
	 */
	function display($tpl = null)
	{
		// Load pane behavior
		jimport('joomla.html.pane');
		
		$user =& JFactory::getUser();
		
		$pane =& JPane::getInstance('sliders');
		
		// Create the Form
		$form = new JParameter('', JPATH_COMPONENT.DS.'params'.DS.'dashboard.xml');
		
		JToolBarHelper::title( JText::_( 'COM_COLLECTOR_COLLECTOR_MANAGER' ), 'cpanel' );
		
		JToolBarHelper::preferences('com_collector', '550', '570', JText::_('COM_COLLECTOR_PARAMETERS') );
		
		JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_HOME'), 'index.php?option=com_collector', true);
		if ($user->authorize('com_collector', 'filemanage')) {
			JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_FILE_MANAGER'), 'index.php?option=com_collector&view=filemanager');
		}
		JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_COLLECTIONS'), 'index.php?option=com_collector&view=collections');
		JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_LISTS'), 'index.php?option=com_collector&view=defined');
		
		// Get data from the model
		$items =& $this->get( 'data' );
		$collectorVersions = $this->get( 'versions' );
		
		$this->assignRef( 'user', $user );
		$this->assignRef( 'items', $items );
		$this->assignRef( 'collectorVersions', $collectorVersions );
		$this->assignRef( 'pane', $pane );
		$this->assignRef( 'form', $form );
		
		if ( !empty($this->items) )
		{
			JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_FIELDS'), 'index.php?option=com_collector&view=collectionfields');
			JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_ITEMS'), 'index.php?option=com_collector&view=items');
			if ($user->authorize('com_collector', 'templatemanage')) {
				JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_TEMPLATES'), 'index.php?option=com_collector&view=templates');
			}
		}
		
		parent::display($tpl);
	}
	
	/**
	 * Add the page title and toolbar.
	 *
	 * @access	protected
	 * @return	void
	 */
	protected function addToolbar()
	{
		$canDo	= ContentHelper::getActions($this->state->get('filter.category_id'));
		$user		= JFactory::getUser();
		JToolBarHelper::title(JText::_('COM_CONTENT_ARTICLES_TITLE'), 'article.png');

		if ($canDo->get('core.create') || (count($user->getAuthorisedCategories('com_content', 'core.create'))) > 0 ) {
			JToolBarHelper::addNew('article.add','JTOOLBAR_NEW');
		}

		if (($canDo->get('core.edit')) || ($canDo->get('core.edit.own'))) {
			JToolBarHelper::editList('article.edit','JTOOLBAR_EDIT');
		}

		if ($canDo->get('core.edit.state')) {
			JToolBarHelper::divider();
			JToolBarHelper::custom('articles.publish', 'publish.png', 'publish_f2.png','JTOOLBAR_PUBLISH', true);
			JToolBarHelper::custom('articles.unpublish', 'unpublish.png', 'unpublish_f2.png', 'JTOOLBAR_UNPUBLISH', true);
			JToolBarHelper::custom('articles.featured', 'featured.png', 'featured_f2.png', 'JFEATURED', true);			
			JToolBarHelper::divider();
			JToolBarHelper::archiveList('articles.archive','JTOOLBAR_ARCHIVE');
			JToolBarHelper::custom('articles.checkin', 'checkin.png', 'checkin_f2.png', 'JTOOLBAR_CHECKIN', true);
		}

		if ($this->state->get('filter.published') == -2 && $canDo->get('core.delete')) {
			JToolBarHelper::deleteList('', 'articles.delete','JTOOLBAR_EMPTY_TRASH');
			JToolBarHelper::divider();
		}
		else if ($canDo->get('core.edit.state')) {
			JToolBarHelper::trash('articles.trash','JTOOLBAR_TRASH');
			JToolBarHelper::divider();
		}

		if ($canDo->get('core.admin')) {
			JToolBarHelper::preferences('com_content');
			JToolBarHelper::divider();
		}

		JToolBarHelper::help('JHELP_CONTENT_ARTICLE_MANAGER');
	}
	
	/**
	 * Method to display button in dashboard
	 *
	 * @access	public
	 * @param	string	$link
	 * @param	string	$image
	 * @param	string	$text
	 * @return	void
	 */
	function CollectorPanelButton ($link, $image, $text)
	{
		?>
		<div style="float: left;">
			<div class="icon">
				<a href="<?php echo "index.php?option=com_collector&amp;view=" . $link; ?>">
				<?php
				echo JHTML::_('image','administrator/templates/khepri/images/header/icon-48-' . $image, JText::_($text));
				echo "<span>" . JText::_($text) . "</span>";
				?>
				</a>
			</div>
		</div>
		<?php
	}
	
	/**
	 * Method to display version slide in dashboard
	 *
	 * @access	public
	 * @return	string	HTML slide
	 */
	function compare_version_panel()
	{
		$version_message = '';
		$last_version = $this->collectorVersions->component[0]->data();
		$filename = JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_collector' . DS . 'collector.xml';
		if (file_exists($filename) && is_readable($filename))
		{
			//get the version number
			$parser = JFactory::getXMLParser('Simple');
			$parser->loadFile($filename);
			$your_version = $parser->document->version[0]->data();
			unset($parser);
		} else {
			$your_version = JText::_('COM_COLLECTOR_UNKNOWN');
		}
		
		if (($last_version != JText::_('COM_COLLECTOR_UNKNOWN')) && ($your_version != JText::_('COM_COLLECTOR_UNKNOWN')))
		{
			$compare = version_compare($your_version, $last_version);
			if ( $compare == -1 )
			{
				$version_message = '<img src="components/com_collector/assets/images/cross.png" /> ' . JText::_('COM_COLLECTOR_VERSION_TO_UPDATE') . '<br /><a href="http://joomlacode.org/gf/project/collector/frs/?action=FrsReleaseBrowse&frs_package_id=4710" target="blank" >'.JText::_('COM_COLLECTOR_CHECK_VERSIONS').'</a>';
			} else if ( $compare == 0 ) {
				$version_message = '<img src="components/com_collector/assets/images/tick.png" /> ' . JText::_('COM_COLLECTOR_VERSION_UP_TO_DATE');
			} else {
				$version_message = '<img src="components/com_collector/assets/images/bullet_error.png" /> ' . JText::_('COM_COLLECTOR_VERSION_TEST');
			}
		}
		
		$pane = '<table class="paramlist admintable" cellspacing="1" width="100%"><tbody>';
		$pane .= '<tr>
		<td class="paramlist_key" width="40%"><span class="editlinktip"><label id="detailscreated_by-lbl" for="detailscreated_by" class="hasTip">' . JText::_('COM_COLLECTOR_YOUR_VERSION') . '</label></span></td>
		<td class="paramlist_value">' . $your_version . '</td>
		</tr>
		<tr>
		<td class="paramlist_key" width="40%"><span class="editlinktip"><label id="detailscreated_by-lbl" for="detailscreated_by" class="hasTip">' . JText::_('COM_COLLECTOR_LAST_VERSION') . '</label></span></td>
		<td class="paramlist_value">' . $last_version . '</td>
		</tr>
		<tr>
		<td colspan=2 class="paramlist_value" align="center">' . $version_message . '</td>
		</tr>
		</tbody>
		</table>';
		return $pane;
	}
	
	/**
	 * Method to display support slide in dashboard
	 *
	 * @access	public
	 * @return	string	HTML slide
	 */
	function support_panel()
	{
		$pane = '<table class="paramlist admintable" cellspacing="1" width="100%"><tbody>';
		$pane .= '<tr>
		<td class="paramlist_key" width="50%"><span class="editlinktip"><label id="detailscreated_by-lbl" for="detailscreated_by" class="hasTip">' . JText::_('COM_COLLECTOR_SITE') . '</label></span></td>
		<td class="paramlist_value"><a href="http://www.steevo.fr" target="blank" >http://www.steevo.fr</a></td>
		</tr>
		<tr>
		<td class="paramlist_key" width="50%"><span class="editlinktip"><label id="detailscreated_by-lbl" for="detailscreated_by" class="hasTip">' . JText::_('COM_COLLECTOR_FORUM') . '</label></span></td>
		<td class="paramlist_value"><a href="http://forum.steevo.fr" target="blank" >http://forum.steevo.fr</a></td>
		</tr>
		<tr>
		<td class="paramlist_key" width="50%"><span class="editlinktip"><label id="detailscreated_by-lbl" for="detailscreated_by" class="hasTip">' . JText::_('COM_COLLECTOR_JOOMLACODE') . '</label></span></td>
		<td class="paramlist_value"><a href="http://joomlacode.org/gf/project/collector/" target="blank" >http://joomlacode.org</a></td>
		</tr>
		<tr>
		<td class="paramlist_key" width="50%"><span class="editlinktip"><label id="detailscreated_by-lbl" for="detailscreated_by" class="hasTip">' . JText::_('COM_COLLECTOR_CONTACT') . '</label></span></td>
		<td class="paramlist_value"><a href="mailto:steevo@steevo.fr">steevo@steevo.fr</a></td>
		</tr>
		</tbody>
		</table>';
		return $pane;
	}
	
	/**
	 * Method to display about slide in dashboard
	 *
	 * @access	public
	 * @return	string	HTML slide
	 */
	function about_panel()
	{
		$pane = '<table class="paramlist admintable" cellspacing="1" width="100%"><tbody>';
		$pane .= '<tr>
		<td>
		<strong>' . JText::_('COM_COLLECTOR_THANKS') . '</strong>
		<ul>
		<li>Lilian (' . JText::_('COM_COLLECTOR_HELP_DEVELOPMENT') . ')
		<li><a href="http://www.cyrill-baur.ch/" target="blank" >Cyrill Baur</a> (' . JText::_('COM_COLLECTOR_GERMAN_TRANSLATION') . ')
		<li>Sebastian Pućko (' . JText::_('COM_COLLECTOR_POLISH_TRANSLATION') . ')
		<li>Mora (' . JText::_('COM_COLLECTOR_SPANISH_TRANSLATION') . ')
		</ul>
		<strong>' . JText::_('COM_COLLECTOR_LICENSE') . '</strong>
		<br/>' . JText::_('COM_COLLECTOR_DISTRIBUTED') . ' <a href="http://www.gnu.org/licenses/gpl-2.0.html" >' . JText::_('COM_COLLECTOR_GPLV2') . '<a>
		</td>
		</tr>
		</tbody>
		</table>';
		return $pane;
	}
}

}else{
//Code pour Joomla >= 1.6.0
/**
 * HTML Collectors View class for the Collector component
 *
 * @package	Collector
 */
class CollectorViewCollectors extends JView
{
	/**
	 * Display function
	 */
	function display($tpl = null)
	{
		// Load pane behavior
		jimport('joomla.html.pane');
		
		$user =& JFactory::getUser();
		
		$pane =& JPane::getInstance('sliders');
		
		// Create the Form
		$form = new JParameter('', JPATH_COMPONENT.DS.'params'.DS.'dashboard.xml');
		
		JToolBarHelper::title( JText::_( 'COM_COLLECTOR_COLLECTOR_MANAGER' ), 'cpanel' );
		
		JToolBarHelper::preferences('com_collector');
		
		// Get data from the model
		$items =& $this->get( 'data' );
		$collectorVersions = $this->get( 'versions' );
		
		$this->assignRef( 'user', $user );
		$this->assignRef( 'items', $items );
		$this->assignRef( 'collectorVersions', $collectorVersions );
		$this->assignRef( 'pane', $pane );
		$this->assignRef( 'form', $form );
		
		parent::display($tpl);
	}
	
	/**
	 * Add the page title and toolbar.
	 *
	 * @access	protected
	 * @return	void
	 */
	protected function addToolbar()
	{
		$canDo	= ContentHelper::getActions($this->state->get('filter.category_id'));
		$user		= JFactory::getUser();
		JToolBarHelper::title(JText::_('COM_CONTENT_ARTICLES_TITLE'), 'article.png');

		if ($canDo->get('core.create') || (count($user->getAuthorisedCategories('com_content', 'core.create'))) > 0 ) {
			JToolBarHelper::addNew('article.add','JTOOLBAR_NEW');
		}

		if (($canDo->get('core.edit')) || ($canDo->get('core.edit.own'))) {
			JToolBarHelper::editList('article.edit','JTOOLBAR_EDIT');
		}

		if ($canDo->get('core.edit.state')) {
			JToolBarHelper::divider();
			JToolBarHelper::custom('articles.publish', 'publish.png', 'publish_f2.png','JTOOLBAR_PUBLISH', true);
			JToolBarHelper::custom('articles.unpublish', 'unpublish.png', 'unpublish_f2.png', 'JTOOLBAR_UNPUBLISH', true);
			JToolBarHelper::custom('articles.featured', 'featured.png', 'featured_f2.png', 'JFEATURED', true);			
			JToolBarHelper::divider();
			JToolBarHelper::archiveList('articles.archive','JTOOLBAR_ARCHIVE');
			JToolBarHelper::custom('articles.checkin', 'checkin.png', 'checkin_f2.png', 'JTOOLBAR_CHECKIN', true);
		}

		if ($this->state->get('filter.published') == -2 && $canDo->get('core.delete')) {
			JToolBarHelper::deleteList('', 'articles.delete','JTOOLBAR_EMPTY_TRASH');
			JToolBarHelper::divider();
		}
		else if ($canDo->get('core.edit.state')) {
			JToolBarHelper::trash('articles.trash','JTOOLBAR_TRASH');
			JToolBarHelper::divider();
		}

		if ($canDo->get('core.admin')) {
			JToolBarHelper::preferences('com_content');
			JToolBarHelper::divider();
		}

		JToolBarHelper::help('JHELP_CONTENT_ARTICLE_MANAGER');
	}
	
	/**
	 * Method to display button in dashboard
	 *
	 * @access	public
	 * @param	string	$link
	 * @param	string	$image
	 * @param	string	$text
	 * @return	void
	 */
	function CollectorPanelButton ($link, $image, $text)
	{
		?>
		<div style="float: left;">
			<div class="icon">
				<a href="<?php echo "index.php?option=com_collector&amp;view=" . $link; ?>">
				<?php
				echo JHTML::_('image','administrator/templates/bluestork/images/header/icon-48-' . $image, JText::_($text));
				echo "<span>" . JText::_($text) . "</span>";
				?>
				</a>
			</div>
		</div>
		<?php
	}
	
	/**
	 * Method to display version slide in dashboard
	 *
	 * @access	public
	 * @return	string	HTML slide
	 */
	function compare_version_panel()
	{
		$version_message = '';
		$last_version = $this->collectorVersions->component[0]->data();
		$filename = JPATH_ADMINISTRATOR . DS . 'components' . DS . 'com_collector' . DS . 'collector.xml';
		if (file_exists($filename) && is_readable($filename))
		{
			//get the version number
			$parser = JFactory::getXMLParser('Simple');
			$parser->loadFile($filename);
			$your_version = $parser->document->version[0]->data();
			unset($parser);
		} else {
			$your_version = JText::_('COM_COLLECTOR_UNKNOWN');
		}
		
		if (($last_version != JText::_('COM_COLLECTOR_UNKNOWN')) && ($your_version != JText::_('COM_COLLECTOR_UNKNOWN')))
		{
			$compare = version_compare($your_version, $last_version);
			if ( $compare == -1 )
			{
				$version_message = '<img src="components/com_collector/assets/images/cross.png" /> ' . JText::_('COM_COLLECTOR_VERSION_TO_UPDATE') . '<br /><a href="http://joomlacode.org/gf/project/collector/frs/?action=FrsReleaseBrowse&frs_package_id=4710" target="blank" >'.JText::_('COM_COLLECTOR_CHECK_VERSIONS').'</a>';
			} else if ( $compare == 0 ) {
				$version_message = '<img src="components/com_collector/assets/images/tick.png" /> ' . JText::_('COM_COLLECTOR_VERSION_UP_TO_DATE');
			} else {
				$version_message = '<img src="components/com_collector/assets/images/bullet_error.png" /> ' . JText::_('COM_COLLECTOR_VERSION_TEST');
			}
		}
		
		$pane = '<table class="paramlist admintable" cellspacing="1" width="100%"><tbody>';
		$pane .= '<tr>
		<td class="paramlist_key" width="40%"><span class="editlinktip"><label id="detailscreated_by-lbl" for="detailscreated_by" class="hasTip">' . JText::_('COM_COLLECTOR_YOUR_VERSION') . '</label></span></td>
		<td class="paramlist_value">' . $your_version . '</td>
		</tr>
		<tr>
		<td class="paramlist_key" width="40%"><span class="editlinktip"><label id="detailscreated_by-lbl" for="detailscreated_by" class="hasTip">' . JText::_('COM_COLLECTOR_LAST_VERSION') . '</label></span></td>
		<td class="paramlist_value">' . $last_version . '</td>
		</tr>
		<tr>
		<td colspan=2 class="paramlist_value" align="center">' . $version_message . '</td>
		</tr>
		</tbody>
		</table>';
		return $pane;
	}
	
	/**
	 * Method to display support slide in dashboard
	 *
	 * @access	public
	 * @return	string	HTML slide
	 */
	function support_panel()
	{
		$pane = '<table class="paramlist admintable" cellspacing="1" width="100%"><tbody>';
		$pane .= '<tr>
		<td class="paramlist_key" width="50%"><span class="editlinktip"><label id="detailscreated_by-lbl" for="detailscreated_by" class="hasTip">' . JText::_('COM_COLLECTOR_SITE') . '</label></span></td>
		<td class="paramlist_value"><a href="http://www.steevo.fr" target="blank" >http://www.steevo.fr</a></td>
		</tr>
		<tr>
		<td class="paramlist_key" width="50%"><span class="editlinktip"><label id="detailscreated_by-lbl" for="detailscreated_by" class="hasTip">' . JText::_('COM_COLLECTOR_FORUM') . '</label></span></td>
		<td class="paramlist_value"><a href="http://forum.steevo.fr" target="blank" >http://forum.steevo.fr</a></td>
		</tr>
		<tr>
		<td class="paramlist_key" width="50%"><span class="editlinktip"><label id="detailscreated_by-lbl" for="detailscreated_by" class="hasTip">' . JText::_('COM_COLLECTOR_JOOMLACODE') . '</label></span></td>
		<td class="paramlist_value"><a href="http://joomlacode.org/gf/project/collector/" target="blank" >http://joomlacode.org</a></td>
		</tr>
		<tr>
		<td class="paramlist_key" width="50%"><span class="editlinktip"><label id="detailscreated_by-lbl" for="detailscreated_by" class="hasTip">' . JText::_('COM_COLLECTOR_CONTACT') . '</label></span></td>
		<td class="paramlist_value"><a href="mailto:steevo@steevo.fr">steevo@steevo.fr</a></td>
		</tr>
		</tbody>
		</table>';
		return $pane;
	}
	
	/**
	 * Method to display about slide in dashboard
	 *
	 * @access	public
	 * @return	string	HTML slide
	 */
	function about_panel()
	{
		$pane = '<table class="paramlist admintable" cellspacing="1" width="100%"><tbody>';
		$pane .= '<tr>
		<td>
		<strong>' . JText::_('COM_COLLECTOR_THANKS') . '</strong>
		<ul>
		<li>Lilian (' . JText::_('COM_COLLECTOR_HELP_DEVELOPMENT') . ')
		<li><a href="http://www.cyrill-baur.ch/" target="blank" >Cyrill Baur</a> (' . JText::_('COM_COLLECTOR_GERMAN_TRANSLATION') . ')
		<li>Sebastian Pućko (' . JText::_('COM_COLLECTOR_POLISH_TRANSLATION') . ')
		<li>Mora (' . JText::_('COM_COLLECTOR_SPANISH_TRANSLATION') . ')
		</ul>
		<strong>' . JText::_('COM_COLLECTOR_LICENSE') . '</strong>
		<br/>' . JText::_('COM_COLLECTOR_DISTRIBUTED') . ' <a href="http://www.gnu.org/licenses/gpl-2.0.html" >' . JText::_('COM_COLLECTOR_GPLV2') . '<a>
		</td>
		</tr>
		</tbody>
		</table>';
		return $pane;
	}
}

}

?>
