<?php
/**
 * Joomla! 1.5 component Collector
 *
 * @version 	$Id: view.html.php 122 2011-09-13 22:26:20Z steevo $
 * @author 		Philippe Ousset steevo@steevo.fr
 * @package 	Collector
 * @license 	GNU/GPL
 *
 * Collector is a Multi Purpose Listing Tool.
 * Originaly developped to list Collections
 * it can be used for several purpose.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.view');

if(version_compare(JVERSION,'1.6.0','<')){
//Code pour Joomla! 1.5

/**
 * HTML Filemanager View class for the Collector component
 *
 * @package	Collector
 */
class CollectorsViewFilemanager extends JView
{
	/**
	 * Display function
	 */
	function display($tpl = null)
	{
		global $mainframe;
		
		$user =& JFactory::getUser();
		
		$document =& JFactory::getDocument();
		
		$model =& $this->getModel('filemanager');
		
		$is_collection = $model->collection_exist();
		
		JToolBarHelper::title( JText::_( 'COM_COLLECTOR_FILE_MANAGEMENT' ), 'mediamanager' );
			
		JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_HOME'), 'index.php?option=com_collector');
		if ($user->authorize('com_collector', 'filemanage')) {
			JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_FILE_MANAGER'), 'index.php?option=com_collector&view=filemanager',true);
		}
		JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_COLLECTIONS'), 'index.php?option=com_collector&view=collections');
		JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_LISTS'), 'index.php?option=com_collector&view=defined');
		if ( $is_collection != 0 )
		{
			JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_FIELDS'), 'index.php?option=com_collector&view=collectionfields');
			JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_ITEMS'), 'index.php?option=com_collector&view=items');
			if ($user->authorize('com_collector', 'templatemanage')) {
				JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_TEMPLATES'), 'index.php?option=com_collector&view=templates');
			}
		}
			
		JHTML::_('behavior.tooltip');
		JHTML::_('behavior.modal', 'a.img-preview');
		
		if (!$user->authorize('com_collector', 'filemanage')) {
			//Get a handle to the Joomla! application object
			$app =& JFactory::getApplication(); 
			//add a message to the message queue
			$app->enqueueMessage( JText::_( 'COM_COLLECTOR_SUPERADMIN_ONLY' ), 'error' );
		} else {
			// Get data from the model
			$lists =& $model->getList();
			$navigation =& $model->get_path_navigation();
			$folder = $model->getFolder();
			
			JToolBarHelper::deleteList();
			$bar=& JToolBar::getInstance( 'toolbar' );
			//$alt = "Move";
			//JToolBarHelper::custom( 'move', 'move', 'move', $alt, true, false );
			//$alt = "Copy";
			//JToolBarHelper::custom( 'copy', 'copy', 'copy', $alt, true, false );
			$alt = "Param";
			$bar->appendButton( 'Popup', 'config', $alt, 'index.php?option=com_collector&tmpl=component&controller=filemanager&task=config', 550, 420 );
			
			$this->assignRef( 'folder', $folder );
			$this->assignRef( 'lists', $lists );
			$this->assignRef( 'navigation', $navigation );
		
			parent::display($tpl);
		}
	}
}

}else{
//Code pour Joomla >= 1.6.0
/**
 * HTML Filemanager View class for the Collector component
 *
 * @package	Collector
 */
class CollectorViewFilemanager extends JView
{
	/**
	 * Display function
	 */
	function display($tpl = null)
	{
		$user =& JFactory::getUser();
		
		$document =& JFactory::getDocument();
		
		$model =& $this->getModel('filemanager');
		
		JHTML::_('behavior.tooltip');
		JHTML::_('behavior.modal', 'a.img-preview');
		
		// Set the toolbar
		$this->addToolbar();
		
		if (!$user->authorize('com_collector', 'filemanage')) {
			//Get a handle to the Joomla! application object
			$app =& JFactory::getApplication(); 
			//add a message to the message queue
			$app->enqueueMessage( JText::_( 'COM_COLLECTOR_SUPERADMIN_ONLY' ), 'error' );
		} else {
			// Get data from the model
			$lists =& $model->getList();
			$navigation =& $model->get_path_navigation();
			$folder = $model->getFolder();
			
			$this->assignRef( 'folder', $folder );
			$this->assignRef( 'lists', $lists );
			$this->assignRef( 'navigation', $navigation );
			
			parent::display($tpl);
		}
	}
	
	/**
	 * Add the page title and toolbar.
	 *
	 * @since	1.6
	 */
	protected function addToolbar()
	{
		$canDo = CollectorHelper::getActions();
		
		// Get the toolbar object instance
		$bar = JToolBar::getInstance('toolbar');
		$user = JFactory::getUser();

		// Set the titlebar text
		JToolBarHelper::title( JText::_( 'COM_COLLECTOR_FILE_MANAGEMENT' ), 'mediamanager' );

		// Add a delete button
		if ($canDo->get('core.delete'))
		{
			JToolBarHelper::deleteList('', 'filemanager.remove', 'JTOOLBAR_DELETE');
		}
		// Add a preferences button
		if ($canDo->get('core.admin'))
		{
			JToolBarHelper::divider();
			$bar->appendButton( 'Popup', 'options', JText::_( 'JTOOLBAR_OPTIONS' ), 'index.php?option=com_collector&tmpl=component&view=filesconfig', 550, 450 );
		}
	}
}

}
?>
