<?php
/**
 * Joomla! 1.5 component Collector
 *
 * @version 	$Id: view.html.php 124 2011-09-18 21:51:13Z steevo $
 * @author 		Philippe Ousset steevo@steevo.fr
 * @package 	Collector
 * @license 	GNU/GPL
 *
 * Collector is a Multi Purpose Listing Tool.
 * Originaly developped to list Collections
 * it can be used for several purpose.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.view');

if(version_compare(JVERSION,'1.6.0','<')){
//Code pour Joomla! 1.5

/**
 * HTML Filesconfig View class for the Collector component
 *
 * @package	Collector
 */
class CollectorsViewFilesconfig extends JView
{
	/**
	 * Display function
	 */
	function display($tpl = null)
	{
		global $mainframe, $option;
		
		$user =& JFactory::getUser();
		if (!$user->authorize('com_collector', 'filemanage')) {
			//Get a handle to the Joomla! application object
			$app =& JFactory::getApplication(); 
			//add a message to the message queue
			$app->enqueueMessage( JText::_( 'COM_COLLECTOR_SUPERADMIN_ONLY' ), 'error' );
		} else {
			
			// Get data from the model
			$model =& $this->getModel('filesconfig');
			$extensions =& $model->getData();
			
			if(version_compare(JVERSION,'1.6.0','<')){
				//Code pour Joomla! 1.5
				$filter_order		= $mainframe->getUserStateFromRequest( $option.'.admin.filesconfig.filter_order',		'filter_order',		't.id',	'cmd' );
				$filter_order_Dir	= $mainframe->getUserStateFromRequest( $option.'.admin.filesconfig.filter_order_Dir',	'filter_order_Dir',	'',				'word' );
			}else{
				//Code pour Joomla >= 1.6.0
				$app = JFactory::getApplication();
				$filter_order		= $app->getUserStateFromRequest( $option.'.admin.filesconfig.filter_order',		'filter_order',		't.id',	'cmd' );
				$filter_order_Dir	= $app->getUserStateFromRequest( $option.'.admin.filesconfig.filter_order_Dir',	'filter_order_Dir',	'',				'word' );
			}
			
			$id = JRequest::getVar( 'id', 'int', 'get', '0');
			
			$row = & JTable::getInstance('collector_files_ext','Table');
			
			if ( $id != 0 )
			{
				$row->load($id);
			}
			
			$init[] = array('value' => 0, 'text' => '');
			
			// Get list of files types
			$db =& JFactory::getDBO(); 
			$query = 'SELECT id AS value, text ';
			$query .= ' FROM #__collector_files_type';
			$db->setQuery( $query );
			
			// Load the content if it doesn't already exist
			$results = $db->loadObjectList();
			
			//Check for database error
			if (!$db->query())
			{
				return JError::raiseWarning( 500, $db->getErrorMsg() );
			}
			
			$select = $init;
			foreach ( $results as $key => $value )
			{
				$value->text=JText::_('COM_COLLECTOR_'.$value->text);
				$select[$key+1]=$value;
			}
			
			JHTML::_('behavior.tooltip');
			
			// table ordering
			$lists['order_Dir'] = $filter_order_Dir;
			$lists['order'] = $filter_order;
			
			$lists['type'] = JHTML::_('select.genericlist', $select, 'type', ' class=inputbox size="1" ', 'value', 'text', $row->type);
			
			$lists['image'] = JHTML::_('list.images',  'ico', $row->ico, ' onchange="loadImage();"', 'administrator/components/com_collector/assets/images' );
			
			$this->assignRef( 'extensions', $extensions );
			$this->assignRef( 'lists', $lists );
			$this->assignRef( 'row', $row );
			
			parent::display($tpl);
		}
	}
}

}else{
//Code pour Joomla >= 1.6.0
/**
 * HTML Filesconfig View class for the Collector component
 *
 * @package	Collector
 */
class CollectorViewFilesconfig extends JView
{
	protected $items;
	protected $state;

	/**
	 * Display the view
	 *
	 * @return	void
	 */
	public function display($tpl = null)
	{
		global $option;
		
		$user =& JFactory::getUser();
		if (!$user->authorize('com_collector', 'filemanage')) {
			//Get a handle to the Joomla! application object
			$application =& JFactory::getApplication(); 
			//add a message to the message queue
			$application->enqueueMessage( JText::_( 'COM_COLLECTOR_SUPERADMIN_ONLY' ), 'error' );
		} else {
			//Get datas from the model
			$this->items		= $this->get('Items');
			$this->types		= $this->get('Types');
			$this->row			= $this->get('Row');
			$this->state		= $this->get('State');
			
			parent::display($tpl);
		}
	}
}

}
?>