<?php
/**
 * Joomla! 1.5 component Collector
 *
 * @version 	$Id: view.html.php 129 2012-01-26 22:10:24Z steevo $
 * @author 		Philippe Ousset steevo@steevo.fr
 * @package 	Collector
 * @license 	GNU/GPL
 *
 * Collector is a Multi Purpose Listing Tool.
 * Originaly developped to list Collections
 * it can be used for several purpose.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.view');

if(version_compare(JVERSION,'1.6.0','<')){
//Code pour Joomla! 1.5

/**
 * HTML Items View class for the Collector component
 *
 * @package	Collector
 */
class CollectorsViewItems extends JView
{
	/**
	 * Display function
	 */
	function display($tpl = null)
	{
		global $mainframe, $option;
		
		$user =& JFactory::getUser();
		
		// Get data from the model
		$model =& $this->getModel('items');
		$items =& $model->getData();
		$title = $model->getTitle();
		$titleLength = $model->getTitleLength();
		$collection = $model->getCollection();
		$pagination =& $model->getPagination();
		
		JToolBarHelper::title( JText::_( 'COM_COLLECTOR_ITEMS_MANAGER' ), 'addedit' );
		
		JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_HOME'), 'index.php?option=com_collector');
		if ($user->authorize('com_collector', 'filemanage')) {
			JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_FILE_MANAGER'), 'index.php?option=com_collector&view=filemanager');
		}
		JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_COLLECTIONS'), 'index.php?option=com_collector&view=collections');
		JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_LISTS'), 'index.php?option=com_collector&view=defined');
		JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_FIELDS'), 'index.php?option=com_collector&view=collectionfields');
		JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_ITEMS'), 'index.php?option=com_collector&view=items', true );
		if ($user->authorize('com_collector', 'templatemanage')) {
			JSubMenuHelper::addEntry( JText::_('COM_COLLECTOR_TEMPLATES'), 'index.php?option=com_collector&view=templates');
		}
		
		if ( !empty($collection) )
		{
			if ( !empty($title) )
			{
				JToolBarHelper::archiveList();
				JToolBarHelper::unarchiveList();
				JToolBarHelper::publishList();
				JToolBarHelper::unpublishList();
				JToolBarHelper::customX('duplicate', 'copy.png', 'copy_f2.png', 'Duplicate');
				JToolBarHelper::deleteList();
				JToolBarHelper::editListX();
				JToolBarHelper::custom('history', 'preview', 'preview', 'Historique');
				JToolBarHelper::addNewX();
				
				JHTML::_('behavior.tooltip');
				
				$filter_state		= $mainframe->getUserStateFromRequest( $option.'.items.filter_state',		'filter_state',		'',				'word' );
				$filter_order		= $mainframe->getUserStateFromRequest( $option.'.items.filter_order',		'filter_order',		'ordering',		'cmd' );
				$filter_order_Dir	= $mainframe->getUserStateFromRequest( $option.'.items.filter_order_Dir',	'filter_order_Dir',	'',				'word' );
				$search				= $mainframe->getUserStateFromRequest( $option.'.items.search',			'search',			'',				'string' );
				
				$search				= JString::strtolower( $search );
				
				// state filter
				$lists['state']	= JHTML::_('grid.state',  $filter_state );
				
				// table ordering
				$lists['order_Dir'] = $filter_order_Dir;
				$lists['order'] = $filter_order;
				
				// Get list of collections
				$db =& JFactory::getDBO(); 
				$query = 'SELECT id AS value, name AS text ';
				$query .= ' FROM #__collector';
				$db->setQuery( $query );
				
				$results = $db->loadObjectList();
				
				//Check for database error
				if (!$db->query())
				{
					return JError::raiseWarning( 500, $db->getErrorMsg() );
				}
				
				$lists['collections'] = JHTML::_('select.genericlist', $results, 'collection', ' class=inputbox size="1" onchange="submitform( );"', 'value', 'text', $collection);
				
				// search filter
				$lists['search']= $search;
				
				$this->assignRef( 'items', $items );
				$this->assignRef( 'lists', $lists );
				$this->assignRef( 'title', $title );
				$this->assignRef( 'titleLength', $titleLength );
				$this->assignRef( 'collection', $collection );
				$this->assignRef( 'pagination', $pagination );
				
				parent::display($tpl);
			}
			else
			{
				$msg = JText::_( 'COM_COLLECTOR_CONF_FIELD_FIRST' ) . ' <a href="index.php?option=com_collector&view=collectionfields&collection=' . $collection . '" >' . JText::_( 'COM_COLLECTOR_CONF_FIELD_MENU' ) . '</a>';
				$type = 'error';
				$app =& JFactory::getApplication();
				$app->enqueueMessage($msg,$type);
			}
		}
		else
		{
			$msg = JText::_( 'COM_COLLECTOR_CONF_COL_FIRST' ) . ' <a href="index.php?option=com_collector&view=collections" >' . JText::_( 'COM_COLLECTOR_CONF_COL_MENU' ) . '</a>';
			$type = 'error';
			$app =& JFactory::getApplication();
			$app->enqueueMessage($msg,$type);
		}
	}
}

}else{
//Code pour Joomla >= 1.6.0

/**
 * HTML Items View class for the Collector component
 *
 * @package	Collector
 */
class CollectorViewItems extends JView
{
	protected $items;
	protected $pagination;
	protected $state;

	/**
	 * Display the view
	 *
	 * @return	void
	 */
	public function display($tpl = null)
	{
		$this->collection 	= $this->get('Collection');
		
		// Check for errors.
		// if (count($errors = $this->get('Errors'))) {
			// JError::raiseError(500, implode("\n", $errors));
			// return false;
		// }
		
		if ( $this->collection != false )
		{
			$this->fields		= $this->get('Fields');
			$this->items		= $this->get('Items');
			$this->pagination	= $this->get('Pagination');
			$this->state		= $this->get('State');
			$this->collections	= $this->get('Collections');
			
			if ( !empty($this->collection->title) )
			{
				// We don't need toolbar in the modal window.
				if ($this->getLayout() !== 'modal') {
					$this->addToolbar();
				}

				parent::display($tpl);
			}
			else
			{
				$msg = JText::_( 'COM_COLLECTOR_CONF_FIELD_FIRST' ) . ' <a href="index.php?option=com_collector&view=fields&collection=' . $this->collection->id . '" >' . JText::_( 'COM_COLLECTOR_CONF_FIELD_MENU' ) . '</a>';
				$type = 'error';
				$app =& JFactory::getApplication();
				$app->enqueueMessage($msg,$type);
			}
		}
		else
		{
			$msg = JText::_( 'COM_COLLECTOR_CONF_COL_FIRST' ) . ' <a href="index.php?option=com_collector&view=collections" >' . JText::_( 'COM_COLLECTOR_CONF_COL_MENU' ) . '</a>';
			$type = 'error';
			$app =& JFactory::getApplication();
			$app->enqueueMessage($msg,$type);
		}
	}
	
	/**
	 * Add the page title and toolbar.
	 */
	protected function addToolbar()
	{
		$canDo	= CollectorHelper::getActions();
		$user		= JFactory::getUser();
		JToolBarHelper::title(JText::_('COM_COLLECTOR_ITEMS_MANAGER'), 'article');

		if ($canDo->get('core.create') || (count($user->getAuthorisedCategories('com_collector', 'core.create'))) > 0 ) {
			JToolBarHelper::addNew('item.add','JTOOLBAR_NEW');
		}

		if (($canDo->get('core.edit')) || ($canDo->get('core.edit.own'))) {
			JToolBarHelper::editList('item.edit','JTOOLBAR_EDIT');
		}

		JToolBarHelper::custom('items.history', 'preview', 'preview', 'COM_COLLECTOR_HISTORY');

		if ($canDo->get('core.edit.state')) {
			JToolBarHelper::divider();
			JToolBarHelper::custom('items.publish', 'publish.png', 'publish_f2.png','JTOOLBAR_PUBLISH', true);
			JToolBarHelper::custom('items.unpublish', 'unpublish.png', 'unpublish_f2.png', 'JTOOLBAR_UNPUBLISH', true);
			JToolBarHelper::divider();
			JToolBarHelper::archiveList('items.archive','JTOOLBAR_ARCHIVE');
			JToolBarHelper::custom('items.checkin', 'checkin.png', 'checkin_f2.png', 'JTOOLBAR_CHECKIN', true);
		}

		if ($this->state->get('filter.published') == -2 && $canDo->get('core.delete')) {
			JToolBarHelper::deleteList('', 'items.delete','JTOOLBAR_EMPTY_TRASH');
		}
		else if ($canDo->get('core.edit.state')) {
			JToolBarHelper::trash('items.trash','JTOOLBAR_TRASH');
		}
	}
}

}
?>