<?php
/**
 * Joomla! 1.5 component Collector
 *
 * @version 	$Id: view.html.php 127 2011-12-10 22:51:55Z steevo $
 * @author 		Philippe Ousset steevo@steevo.fr
 * @package 	Collector
 * @license 	GNU/GPL
 *
 * Collector is a Multi Purpose Listing Tool.
 * Originaly developped to list Collections
 * it can be used for several purpose.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.view');

/**
 * HTML Itemversions View class for the Collector component
 *
 * @package	Collector
 */
class CollectorViewItemversions extends JView
{
	protected $items;
	protected $pagination;
	protected $state;

	/**
	 * Display the view
	 *
	 * @return	void
	 */
	public function display($tpl = null)
	{
		$this->collection 	= $this->get('Collection');
		$this->item			= $this->get('Item');
		$this->items		= $this->get('Items');
		$this->pagination	= $this->get('Pagination');
		$this->state		= $this->get('State');
		$this->collections	= $this->get('Collections');
		
		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}
		
		// We don't need toolbar in the modal window.
		if ($this->getLayout() !== 'modal') {
			$this->addToolbar();
		}
		
		parent::display($tpl);
	}
	
	/**
	 * Add the page title and toolbar.
	 */
	protected function addToolbar()
	{
		$canDo	= CollectorHelper::getActions();
		$bar = JToolBar::getInstance('toolbar');
		
		JToolBarHelper::title(JText::_('COM_COLLECTOR_ITEMS_MANAGER_HISTORY'), 'preview');
		
		$bar->appendButton( 'Popup', 'preview', JText::_( 'COM_COLLECTOR_PREVIEW' ), 'index.php?option=com_collector&tmpl=component&view=preview', 550, 450 );
		
		if ($canDo->get('core.delete')) {
			JToolBarHelper::deleteList('', 'itemversions.delete','JTOOLBAR_DELETE');
		}
		
		JToolBarHelper::divider();
		
		JToolBarHelper::back('back','index.php?option=com_collector&view=items');
	}
}
?>
