<?php
/**
 * Joomla! 1.5 component Collector
 *
 * @version 	$Id: view.html.php 120 2011-09-04 22:33:31Z steevo $
 * @author 		Philippe Ousset steevo@steevo.fr
 * @package 	Collector
 * @license 	GNU/GPL
 *
 * Collector is a Multi Purpose Listing Tool.
 * Originaly developped to list Collections
 * it can be used for several purpose.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.view');

/**
 * HTML Templateedit View class for the Collector component
 *
 * @package	Collector
 */
class CollectorsViewTemplateedit extends JView
{
	/**
	 * Display function
	 */
	function display($tpl = null)
	{
		global $mainframe;
		
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
			
		JArrayHelper::toInteger($cid, array(0));
		$id = JRequest::getVar('id', $cid[0], '', 'int' );
		
		$edit = JRequest::getCmd( 'edit' );
		
		$option = JRequest::getCmd( 'option' );
		
		// Create and load the content table row
		$row = & JTable::getInstance('collector_templates','Table');
		
		$row->collection = JRequest::getVar( 'collection', '', '', 'int');
		
		switch ($edit) {
			case 'edit':
				$row->load($id);
				if ( $row->alias == 'default' )
				{
					$msg = JText::_( 'COM_COLLECTOR_NO_EDIT_DEFAULT_TPL' );
					$mainframe->redirect('index.php?option=com_collector&view=templates', $msg );
				}
				$title = JText::_( 'COM_COLLECTOR_TEMPLATES_MANAGER' ) . ': <small><small>[ '. JText::_( 'COM_COLLECTOR_EDIT' ) .' ]</small></small>';
				break;
			case 'copy':
				$row->loadCopy($id);
				$title = JText::_( 'COM_COLLECTOR_TEMPLATES_MANAGER' ) . ': <small><small>[ '. JText::_( 'COM_COLLECTOR_COPY' ) .' ]</small></small>';
				break;
			default:
				$title = JText::_( 'COM_COLLECTOR_TEMPLATES_MANAGER' ) . ': <small><small>[ '. JText::_( 'COM_COLLECTOR_NEW' ) .' ]</small></small>';
				break;
		}
		
		JToolBarHelper::title( $title , 'thememanager' );
		
		JToolBarHelper::save();
		JToolBarHelper::apply();
		if ( $edit == 'edit' )
		{
			// for existing items the button is renamed 'close'
			JToolBarHelper::cancel( 'cancel' , 'Close' );
		}
		else
		{
			JToolBarHelper::cancel();
		}
		
		// type filter
		$type[] = JHTML::_('select.option',  '', '- '. JText::_( 'COM_COLLECTOR_SELECT_TYPE' ) .' -' );
		$type[] = JHTML::_('select.option',  '1', JText::_( 'COM_COLLECTOR_LISTING' ) );
		$type[] = JHTML::_('select.option',  '2', JText::_( 'COM_COLLECTOR_DETAIL' ) );
		
		$lists['type'] = JHTML::_('select.genericlist',   $type, 'client', 'class="inputbox" size="1"', 'value', 'text', $row->client );
		
		// list of columns number
		$column[] = JHTML::_('select.option',  '', '- '. JText::_( 'COM_COLLECTOR_SELECT_COLUMNS_NUMBER' ) .' -' );
		$column[] = JHTML::_('select.option',  '1', JText::_( '1' ) );
		$column[] = JHTML::_('select.option',  '2', JText::_( '2' ) );
		$column[] = JHTML::_('select.option',  '3', JText::_( '3' ) );
		$column[] = JHTML::_('select.option',  '4', JText::_( '4' ) );
		$column[] = JHTML::_('select.option',  '5', JText::_( '5' ) );
		
		$lists['columns'] = JHTML::_('select.genericlist',   $column, 'column', 'class="inputbox" size="1"', 'value', 'text', $row->column );
		
		// Get list of collections
		$db =& JFactory::getDBO(); 
		$query = 'SELECT id AS value, name AS text ';
		$query .= ' FROM #__collector';
		$db->setQuery( $query );
		
		$results = $db->loadObjectList();
		
		//Check for database error
		if (!$db->query())
		{
			return JError::raiseWarning( 500, $db->getErrorMsg() );
		}
		
		$lists['collections'] = JHTML::_('select.genericlist', $results, 'collection', ' class=inputbox size="1" ', 'value', 'text', $row->collection);
		
		JHTML::_('behavior.tooltip');
		
		$this->assignRef( 'row', $row );
		$this->assignRef( 'lists', $lists );
		
		parent::display($tpl);
	}
}
?>