<?php
/**
 * Joomla! 1.5 component Collector
 *
 * @version 	$Id: router.php 134 2012-04-05 20:45:38Z steevo $
 * @author 		Philippe Ousset steevo@steevo.fr
 * @package 	Collector
 * @license 	GNU/GPL
 *
 * Collector is a Multi Purpose Listing Tool.
 * Originaly developped to list Collections
 * it can be used for several purpose.
 */

if(version_compare(JVERSION,'1.6.0','<')){
//Code pour Joomla! 1.5

function CollectorBuildRoute(&$query)
{
	$segments = array();
	$collection = null;
	
	// get a menu item based on Itemid or currently active
	$menu = &JSite::getMenu();
	if (empty($query['Itemid'])) {
		$menuItem = &$menu->getActive();
	} else {
		$menuItem = &$menu->getItem($query['Itemid']);
	}
	$mView			= (empty($menuItem->query['view'])) ? null : $menuItem->query['view'];
	$mId			= (empty($menuItem->query['id'])) ? null : $menuItem->query['id'];
	$mCollection	= (empty($menuItem->query['collection'])) ? null : $menuItem->query['collection'];
	$mItem			= (empty($menuItem->query['item'])) ? null : $menuItem->query['item'];
	$mLayout		= (empty($menuItem->query['layout'])) ? null : $menuItem->query['layout'];
	//$mReset		= (empty($menuItem->query['reset'])) ? null : $menuItem->query['reset'];

	if(isset($query['reset']))
	{
		$reset = $query['reset'];
		unset($query['reset']);
		if ($reset == 0)
		{
			$segments[] = 'search';
		} else {
			$segments[] = 'nosearch';
		}
	}
	/*else if ( $mReset != null )
	{
		$reset = $mReset;
		if ($reset == 0)
		{
			$segments[] = 'search';
		} else {
			$segments[] = 'nosearch';
		}
		//$segments[] = $reset;
	}*/
	else if ($mCollection == null)
	{
		$segments[] = 'nosearch';
		//$segments[] = 0;
	}

	if(isset($query['view']))
	{
		$view = $query['view'];
		/*if(empty($query['Itemid'])) {
			$segments[] = $query['view'];
		}*/
		if(($view=='fileselect')||($view=='filelist'))
		{
			return array();
		}
		unset($query['view']);
	}
	else
	{
		$view = 'collection';
	}
	
	if(isset($query['layout']))
	{
		$layout = $query['layout'];
		/*if(empty($query['Itemid'])) {
			$segments[] = $query['view'];
		}*/
		unset($query['layout']);
	}
	else
	{
		$layout = 'default';
	}

	if(isset($query['id']))
	{
		$collection = $query['id'];
		unset($query['id']);
	}
	else if ( $mId != null )
	{
		$collection = $mId;
	}
	else if ( $mCollection != null )
	{
		$collection = $mCollection;
		//unset($query['collection']);
	}

	if (($collection!=null)and( (( $mId == null ) and ( $mCollection == null )) or (( $mId != null ) and( (int)$mId != (int)$collection )) or (( $mCollection != null ) and (int)$mCollection != (int)$collection ) ))
	{
		$segments[] = $collection;
	}

	if ( ( $view == 'item' ) && ( $layout != 'form' ) )
	{
		$item = $query['item'];
		unset($query['item']);
		$segments[] = $item;
	}
	else if ( $layout == 'form' )
	{
		$segments[] = 'submit';
	}

/*	// are we dealing with an item that is attached to a menu item?
	if (($mView == 'item') and (isset($query['id'])) and ($mId == intval($query['id']))) {
		unset($query['view']);
		unset($query['id']);
	}

	if (isset($view) and ($view == 'collection' && !empty($query['Itemid']))) {
		if (($mView != 'collection') or ($mView == 'collection' and $mId != intval($query['id']))) {
			$segments[] = 'collection';
			unset($query['Itemid']);
		}
	}

	if (isset($view) and $view == 'collection') {
		if ($mId != intval($query['id']) || $mView != $view) {
			$segments[] = $query['id'];
		}
		unset($query['id']);
	}

	if(isset($query['id'])) {
		if (empty($query['Itemid'])) {
			$segments[] = $query['id'];
		} else {
			if (isset($menuItem->query['id'])) {
				if($query['id'] != $mId) {
					$segments[] = $query['id'];
				}
			} else {
				$segments[] = $query['id'];
			}
		}
		unset($query['id']);
	}

	if(isset($query['item'])) {
		if (empty($query['Itemid'])) {
			$segments[] = $query['item'];
		} else {
			if (isset($menuItem->query['item'])) {
				if($query['item'] != $mId) {
					$segments[] = $query['item'];
				}
			} else {
				$segments[] = $query['item'];
			}
		}
		unset($query['item']);
	}

	if(isset($query['layout']))
	{
		if(!empty($query['Itemid']) && isset($menuItem->query['layout'])) {
			if ($query['layout'] == $menuItem->query['layout']) {

				unset($query['layout']);
			}
		} else {
			if($query['layout'] == 'default') {
				unset($query['layout']);
			}
		}
	}*/

	return $segments;
}

function CollectorParseRoute($segments)
{
	$vars = array();

	$vars['option'] = 'com_collector';

	//Get the active menu item
	$menu =& JSite::getMenu();
	$item =& $menu->getActive();

	// Count route segments
	$count = count($segments);
	if ( $segments[0] == 'nosearch' )
	{
		$vars['reset'] = 1;
		$offset = 1;
	} else if ( $segments[0] == 'search' ) {
		$vars['reset'] = 0;
		$offset = 1;
	} else {
		$vars['reset'] = 0;
		$offset = 0;
	}

	//Standard routing for collection
	if(!isset($item))
	{
		$vars['view']  = $segments[0+$offset];
		$vars['id']    = $segments[1+$offset];
		if ( $vars['view'] == 'item' )
		{
			if ( $count == 2+$offset )
			{
				$vars['layout'] = 'form';
			}
			if ( $count == 3+$offset )
			{
				$vars['item']    = $segments[2+$offset];
			}
		}
		return $vars;
	}

	//Handle View and Identifier
	switch($item->query['view'])
	{
		case 'collection' :
		{
			if($count == 0+$offset) {
				$vars['view'] = 'collection';
				$vars['id'] = $item->query['id'];
			}

			if($count == 1+$offset) {
				$vars['view']  = 'item';
				$vars['id'] = $item->query['id'];
				$vars['item'] = $segments[0+$offset];
			}
		} break;

		case 'item' :
		{
			$vars['id']   = $item->query['id'];
			$vars['view'] = 'item';
			if(isset($item->query['layout']) && $item->query['layout'] == 'form')
			{
				$vars['layout'] = 'form';
			}
			else
			{
				$vars['item'] = $segments[0+$offset];
			}
		} break;
	}

	return $vars;
}

}else{
//Code pour Joomla >= 1.6.0

defined('_JEXEC') or die;

function CollectorBuildRoute(&$query)
{
	$segments = array();

	// get a menu item based on Itemid or currently active
	$app		= JFactory::getApplication();
	$menu		= $app->getMenu();
	// we need a menu item.  Either the one specified in the query, or the current active one if none specified
	if (empty($query['Itemid'])) {
		$menuItem = &$menu->getActive();
		$menuItemGiven = false;
	} else {
		$menuItem = &$menu->getItem($query['Itemid']);
		$menuItemGiven = true;
		// $query = $menuItem->query;
	}
	
	// if($menuItemGiven)
	// {
		// $queryMenu = $menuItem->query;
		// if(isset($queryMenu['reset']))
		// {
			// $reset = $queryMenu['reset'];
			// unset($queryMenu['reset']);
			// if ($reset == 0)
			// {
				// $segments[] = 'search';
			// } else {
				// $segments[] = 'nosearch';
			// }
		// }
	// }
	
	if (isset($query['view'])) {
		$view = $query['view'];
		$segments[] = $view;
		unset($query['view']);
	}
	else {
		// we need to have a view in the query or it is an invalid URL
		return $segments;
	}
	
	if ($view == 'collection')
	{
		if (isset($query['id'])){
			// Make sure we have the id and the alias
			if (strpos($query['id'], ':') === false) {
				$db = JFactory::getDbo();
				$aquery = $db->setQuery($db->getQuery(true)
					->select('alias')
					->from('#__collector')
					->where('id='.(int)$query['id'])
				);
				$alias = $db->loadResult();
				$query['id'] = $query['id'].':'.$alias;
			}
		} else {
			// we should have these two set for this view.  If we don't, it is an error
			return $segments;
		}
		
		$segments[] = $query['id'];
		
		unset($query['id']);
	}
	if ($view == 'item')
	{
		if (isset($query['collection']) && isset($query['id'])){
			// Make sure we have the id and the alias
			if (strpos($query['collection'], ':') === false) {
				$db = JFactory::getDbo();
				$aquery = $db->setQuery($db->getQuery(true)
					->select('alias')
					->from('#__collector')
					->where('id='.(int)$query['collection'])
				);
				$alias = $db->loadResult();
				$query['collection'] = $query['collection'].':'.$alias;
			}
			if (strpos($query['id'], ':') === false) {
				$db = JFactory::getDbo();
				$aquery = $db->setQuery($db->getQuery(true)
					->select('alias')
					->from('#__collector_items')
					->where('id='.(int)$query['id'])
				);
				$alias = $db->loadResult();
				$query['id'] = $query['id'].':'.$alias;
			}
		} else {
			// we should have these two set for this view.  If we don't, it is an error
			return $segments;
		}
		
		$segments[] = $query['collection'];
		$segments[] = $query['id'];
		
		unset($query['collection']);
		unset($query['id']);
	}
	if ($view == 'itemform')
	{
		if (isset($query['collection'])){
			// Make sure we have the id and the alias
			if (strpos($query['collection'], ':') === false) {
				$db = JFactory::getDbo();
				$aquery = $db->setQuery($db->getQuery(true)
					->select('alias')
					->from('#__collector')
					->where('id='.(int)$query['collection'])
				);
				$alias = $db->loadResult();
				$query['collection'] = $query['collection'].':'.$alias;
			}
		} else {
			// we should have these two set for this view.  If we don't, it is an error
			return $segments;
		}
		
		$segments[] = $query['collection'];
		
		unset($query['collection']);
	}

	if(isset($query['reset']))
	{
		$reset = $query['reset'];
		unset($query['reset']);
		if ($reset == 0)
		{
			$segments[] = 'search';
		} else {
			$segments[] = 'nosearch';
		}
	}
	
	return $segments;
}

function CollectorParseRoute($segments)
{
	$vars = array();

	$vars['option'] = 'com_collector';

	//Get the active menu item.
	$app	= JFactory::getApplication();
	$menu	= $app->getMenu();
	$item	= $menu->getActive();

	// Count route segments
	$count = count($segments);

	// if( $count == 1 )
	// {
		// if( $segments[0]=='nosearch' ){
			// $vars = $item->query;
			// $vars['reset'] = 1;
			// return $vars;
		// }
		// if( $segments[0]=='search' ){
			// $vars = $item->query;
			// $vars['reset'] = 0;
			// return $vars;
		// }
	// }
	
	//Standard routing for collection
	$vars['view']  = $segments[0];
	if ( $vars['view'] == 'collection' )
	{
		$vars['id'] = $segments[1];
	}
	else if ( $vars['view'] == 'item' )
	{
		$vars['collection'] = $segments[1];
		$vars['id'] = $segments[2];
		if ( isset($segments[3]) ){
			$vars['reset'] = $segments[3];
		}
	}
	else if ( $vars['view'] == 'itemform' )
	{
		$vars['layout'] = 'edit';
		$vars['collection'] = $segments[1];
	}

	return $vars;
}

}