<?php
/**
 * Joomla! 1.5 component Collector
 *
 * @version 	$Id: view.html.php 134 2012-04-05 20:45:38Z steevo $
 * @author 		Philippe Ousset steevo@steevo.fr
 * @package 	Collector
 * @license 	GNU/GPL
 *
 * Collector is a Multi Purpose Listing Tool.
 * Originaly developped to list Collections
 * it can be used for several purpose.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.view');
jimport('joomla.mail.helper');
jimport('joomla.filesystem.file');

JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_collector'.DS.'tables');

if(version_compare(JVERSION,'1.6.0','<')){
//Code pour Joomla! 1.5
/**
 * HTML Item View class for the Collector component
 *
 * @package	Collector
 */
class CollectorViewItem extends JView
{
	/**
	 * Display function
	 */
	function display($tpl = null)
	{
		global $mainframe;

		if($this->getLayout() == 'form') {
			$this->_displayForm($tpl);
			return;
		}

		// Load pane behavior
		jimport('joomla.html.pane');

		$editor		=& JFactory::getEditor();
		$pane		=& JPane::getInstance('tabs');
		$db			=& JFactory::getDBO();
		$nulldate	= $db->getNullDate();
		$datenow	=& JFactory::getDate();
		$uri 		=& JFactory::getURI();
		$user		=& JFactory::getUser();
		$document	=& JFactory::getDocument();
		$dispatcher =& JDispatcher::getInstance();
		$pathway	=& $mainframe->getPathway();
		$params		=& $mainframe->getParams('com_collector');

		// Check global accessEdition
		$component = JComponentHelper::getComponent( 'com_collector' );
		$originParams = new JParameter( $component->params );
		$globalAccessEdition = $originParams->get('accessEdition');
		
		// Initialize variables
		$model =& $this->getModel('item');
		$collection	=& $model->getCollection();
		$item =& $model->getItem();
		$template	=& $model->getTemplate();
		//$pagination =& $model->getPagination();
		$navigation =& $model->getNavigation();

		$cparams =& $collection->parameters;
		$params->merge($cparams);

		$fields =& $collection->fields;

		if (($collection->id == 0))
		{
			$id = JRequest::getVar( 'id', '', 'default', 'int' );
			return JError::raiseError( 404, JText::sprintf( 'COM_COLLECTOR_COLLECTION_NOT_FOUND', $id ) );
		}

		// Check to see if the user has access to view the full collection
		$aid	= $user->get('aid');

		if ($collection->access <= $aid) {
			$model->hit();
		} else {
			if ( ! $aid )
			{
				// Redirect to login
				$uri		= JFactory::getURI();
				$return		= $uri->toString();

				$url  = 'index.php?option=com_user&view=login';
				$url .= '&return='.base64_encode($return);;

				//$url	= JRoute::_($url, false);
				$mainframe->redirect($url, JText::_('COM_COLLECTOR_YOU_MUST_LOGIN_FIRST') );
			}
			else{
				JError::raiseWarning( 403, JText::_('COM_COLLECTOR_ALERTNOTAUTH') );
				return;
			}
		}

		// Check to see if the user can edit item
		$gid = $user->get('gid');
		$uid = $user->get('id');
		
		$canEdit = 0;
		
		if (( $item->created_by == $uid ) || ( $gid >= $params->get('accessEdition') ) || ( $gid >= $globalAccessEdition ))
		{
			$canEdit = 1;
		}
		
		/*
		 * Process the prepare content plugins
		 */
		JPluginHelper::importPlugin('content');
		
		$dispatcher =& JDispatcher::getInstance();
        $article->params = clone($params);
		
		foreach ( $fields as $field )
		{
			if ($field->type == 2)
			{
				$field_name = 'field_'.$field->id;
				$article->text = & $item->$field_name;
				$dispatcher->trigger('onPrepareContent', array (& $article, & $article->params, 0));
			}
		}

		/*
		 * Handle the metadata
		 */
		// because the application sets a default page title, we need to get it
		// right from the menu item itself
		// Get the menu item object
		$menus = &JSite::getMenu();
		$menu  = $menus->getActive();

		if (is_object( $menu ) && isset($menu->query['view']) && $menu->query['view'] == 'collection' && isset($menu->query['id']) && $menu->query['id'] == $collection->id) {
			$menu_params = new JParameter( $menu->params );
			if (!$menu_params->get( 'collection_title')) {
				$params->set('collection_title',	$collection->name);
			}
		} else {
			$params->set('collection_title',	$collection->name);
		}
		$document->setTitle( $item->customTitle );

		if ($item->metadesc) {
			$document->setDescription( $item->metadesc );
		}
		if ($item->metakey) {
			$document->setMetadata('keywords', $item->metakey);
		}

		if ($mainframe->getCfg('MetaTitle') == '1') {
			$mainframe->addMetaTag('title', $item->customTitle);
		}
		if ($mainframe->getCfg('MetaAuthor') == '1') {
			$mainframe->addMetaTag('author', $item->author);
		}

		$mdata = new JParameter($item->metadata);
		$mdata = $mdata->toArray();
		foreach ($mdata as $k => $v)
		{
			if ($v) {
				$document->setMetadata($k, $v);
			}
		}

		$itemid = JRequest::getVar( 'Itemid', '', 'default', 'int' );

		$pathway->addItem($item->customTitle);

		JHTML::_('behavior.modal');

		$uri		= JFactory::getURI();
		$action		= $uri->toString();
		//$action = 'index.php?option=com_collector&view=collection&id='.$collection->id.'&Itemid='.$itemid;
		$this->assign('action', $action);

		//$this->assignRef( 'pagination', $pagination );
		$this->assignRef( 'navigation', $navigation );
		$this->assignRef( 'fields', $fields );
		$this->assignRef( 'item' , $item );
		$this->assignRef( 'itemid' , $itemid );
		$this->assignRef( 'collection', $collection );
		$this->assignRef( 'template', $template );
		$this->assignRef( 'params' , $params );
		$this->assignRef( 'user'   , $user );
		$this->assignRef( 'pane', $pane );
		$this->assignRef( 'editor', $editor );
		$this->assignRef( 'form', $form );
		$this->assignRef( 'canEdit', $canEdit );

		parent::display($tpl);
	}

	/**
	 * Method to display form
	 *
	 * @access	private
	 */
	function _displayForm($tpl)
	{
		global $mainframe;

		// Initialize variables
		$document	=& JFactory::getDocument();
		$user		=& JFactory::getUser();
		$uri		=& JFactory::getURI();
		$pathway	=& $mainframe->getPathWay();
		$params		=& $mainframe->getParams('com_collector');

		// Make sure you are logged in and have the necessary access rights
		if ($user->get('gid') < 19) {
			JResponse::setHeader('HTTP/1.0 403',true);
			  JError::raiseWarning( 403, JText::_('COM_COLLECTOR_ALERTNOTAUTH') );
			return;
		}

		// Initialize variables
		$model =& $this->getModel('item');
		$collection	=& $model->getCollection();
		$fields =& $collection->fields;

		// Create and load the content table row
		$item = & JTable::getInstance('collector_items','Table');
		//$item->setCollection($collection->id);
		$item->initVersion($collection->id);

		// Initialize variables
		$cparams	=& $collection->parameters;
		$params->merge($cparams);

		// Add the Calendar includes to the document <head> section
		JHTML::_('behavior.calendar');

		// Get the lists
		// Radio Buttons: Should the item be published
		$lists['state'] = JHTML::_('select.booleanlist', 'state', '', $item->state);

		// Select List: Group Access
		$lists['access'] = JHTML::_('list.accesslevel', $item);

		// Load the JEditor object
		$editor =& JFactory::getEditor();

		// Build the page title string
		$title = $collection->id ? JText::_('COM_COLLECTOR_EDIT') : JText::_('COM_COLLECTOR_NEW');

		// Set page title
		// because the application sets a default page title, we need to get it
		// right from the menu item itself
		// Get the menu item object
		$menus = &JSite::getMenu();
		$menu  = $menus->getActive();
		$params->set( 'page_title', $params->get( 'page_title' ) );
		if (is_object( $menu )) {
			$menu_params = new JParameter( $menu->params );
			if (!$menu_params->get( 'page_title')) {
				$params->set('page_title',	JText::_( 'COM_COLLECTOR_SUBMIT_AN_ITEM' ));
			}
		} else {
			$params->set('page_title', JText::_( 'COM_COLLECTOR_SUBMIT_AN_ITEM' ));
		}
		$document->setTitle( $params->get( 'page_title' ) );

		$itemid = JRequest::getVar( 'Itemid', '', 'default', 'int' );

		$pathway->addItem($title, '');

		JHTML::_('behavior.modal');

		$this->assignRef('collection',	$collection);
		$this->assignRef('fields',		$fields);
		$this->assignRef('item',		$item);
		$this->assignRef('itemid',		$itemid);
		$this->assignRef('params',		$params);
		$this->assignRef('lists',		$lists);
		$this->assignRef('editor',		$editor);
		$this->assignRef('user',		$user);

		parent::display($tpl);
	}

	/**
	 * Method to display a field in edition mode
	 *
	 * @access	public
	 * @param	object	$field	Field to display
	 * @return	string			HTML field
	 */
	function createFieldEdition( $field )
	{
		$model = $this->getModel('item');

		$type = $field->type;

		//$name_field = 'field_' . $field->id;
		$name_field = $field->tablecolumn;

		$init[] = array('value' => 0, 'text' => '---');
		
		// champ simple ligne
		if ( $type == '1' )
		{
			return "<input name=" . $name_field . " value='" . htmlspecialchars($this->item->$name_field, ENT_QUOTES) . "' size='60' maxlength='254' />";
		}
		// champ texte
		else if ( $type == '2' )
		{
			if ( empty($this->item->$name_field) )
			{
				$value = $field->template;
			}
			else
			{
				$value = $this->item->$name_field;
			}
			return $this->editor->display($name_field, $value, '100%', '350', '75', '20' );
		}
		// champ predefini
		else if ( $type == '3' )
		{
			$db =& JFactory::getDBO();

			$query = 'SELECT id AS value, content AS text ';
			$query .= ' FROM #__collector_defined_content';
			$query .= ' WHERE defined = "' . $field->defined . '"';
			$query .= ' ORDER BY text';

			$db->setQuery( $query );

			$results = $db->loadObjectList();

			$select = $init;
			
			foreach ( $results as $key => $value )
			{
				$select[$key+1]=$value;
			}

			return JHTML::_('select.genericlist', $select, $name_field, ' class="inputbox" size="1" ', 'value', 'text', $this->item->$name_field);
		}
		// champ objet
		else if ( $type == '4' )
		{
			$items = $model->getItemsList($field);
			
			$select = $init;
			
			foreach ( $items as $key => $value )
			{
				$select[$key+1]=$value;
			}
				
			return JHTML::_('select.genericlist', $select, $name_field, ' class=”inputbox” size="1" ', 'value', 'text', $this->item->$name_field);
		}
		// champ image
		else if ( $type == '5' )
		{
			$imageInfos = explode('|',$this->item->$name_field);
			$imageUrl = $imageInfos[0];
			
			$input = '<input type="text" onchange="loadImage(\''.$name_field.'\');" name="' . $name_field . '" id="' . $name_field . '" value="' . htmlspecialchars($this->item->$name_field, ENT_QUOTES) . '" size="60" maxlength="254" />';
			
			if ( $imageUrl == '' )
			{
				// image de substitution
				$imageUrl='./components/com_collector/assets/images/camera.png';
				$folder = $model->getFolder();
			}
			else
			{
				$path = explode('/',$imageUrl);
				unset($path[sizeof($path)-1]);
				$folder = implode('/',$path);
			}
			$link = 'index.php?option=com_collector&amp;view=fileselect&amp;tmpl=component&amp;folder='.$folder.'&amp;field='.$name_field.'&amp;type=1';
			return $input.'<a class="modal button" rel="{handler: \'iframe\', size: {x: 550, y: 510}}" href="'.$link.'">'. JText::_('COM_COLLECTOR_SELECT_IMAGE') . '</a></td></tr><tr><td></td><td colspan=2><img src="'.JURI::root().$imageUrl.'" alt="'.$imageUrl.'" name="'.$name_field.'-preview" id="'.$name_field.'-preview" />';
		}
		// champ nombre
		else if ( $type == '6' )
		{
			$template = $field->template == '' ? '%%' : $field->template;
			$input = "<input name=" . $name_field . " value='" . htmlspecialchars($this->item->$name_field, ENT_QUOTES) . "' size='60' maxlength='254' />";
			$return = JString::str_ireplace( '%%', $input, $template );
			return $return;
		}
		// champ date
		else if ( $type == '7' )
		{
			return JHTML::_('calendar', $this->item->$name_field, $name_field, $name_field, '%Y-%m-%d %H:%M:%S');
		}
		// champ fichier
		else if ( $type == '8' )
		{
			$input = '<input type="text" name="' . $name_field . '" id="' . $name_field . '" value="' . htmlspecialchars($this->item->$name_field, ENT_QUOTES) . '" size="60" maxlength="254" />';
			
			$link = 'index.php?option=com_collector&amp;view=fileselect&amp;tmpl=component&amp;folder='.$folder.'&amp;field='.$name_field.'&amp;type=0';
			return $input.'<a class="modal button" rel="{handler: \'iframe\', size: {x: 550, y: 510}}" href="'.$link.'">'. JText::_('COM_COLLECTOR_FILE_SELECT') . '</a></td>';
		}
		else
		{
			return JText::_( 'COM_COLLECTOR_NO_FIELD_CREATED' );
		}
	}

	/**
	 * Method to display a field in description mode
	 *
	 * @access	public
	 * @param	object	$field	Field to display
	 * @return	string			HTML field
	 */
	function createFieldDescription( $field )
	{
		$db =& JFactory::getDBO();

		$model = $this->getModel('item');

		$folder = $model->getFolder();

		$type = $field->type;

		//$name_field = 'field_' . $field->id;
		$name_field = $field->tablecolumn;

		$emailMode = $this->params->get('emailMode');
		$weblinkMode = $this->params->get('weblinkMode');

		switch ($type)
		{
			case 1 : // champ simple ligne
				if ( ( $emailMode == 1 ) && ( JMailHelper::isEmailAddress($this->item->$name_field) ) )
				{
					return JHTML::_('email.cloak', $this->item->$name_field);
				}
				else if ( ( $weblinkMode == 1 ) && ( preg_match("=www.=", $this->item->$name_field) ) )
				{
					$url = trim($this->item->$name_field);
					// check en tete
					if ( !preg_match("=://=", $url) ) {
						$url = "http://".$url;
					}

					$motif='#^^http://([a-zA-Z0-9-]+.)?([a-zA-Z0-9-]+.)?[a-zA-Z0-9-]+\.[a-zA-Z]{2,4}(:[0-9]+)?(/[a-zA-Z0-9-]*)?(.[a-zA-Z0-9]{1,4})?$#';
					if ( preg_match($motif,$url) ) {
						return '<a href="'.$url.'">'.$this->item->$name_field.'</a>';
					} else {
						return htmlspecialchars($this->item->$name_field, ENT_QUOTES);
					}
				}
				else
				{
					return htmlspecialchars($this->item->$name_field, ENT_QUOTES);
				}
				break;

			case 2 : // champ texte
				if ( empty($this->item->$name_field) )
				{
					$value = $field->template;
				}
				else
				{
					$value = $this->item->$name_field;
				}
				return $value;
				break;

			case 3 : // champ predefini
				{
					$query = 'SELECT content, image';
					$query .= ' FROM #__collector_defined_content';
					$query .= ' WHERE id = "' . $this->item->$name_field.'"';

					$db->setQuery( $query );

					$result = $db->loadObject();

					if (( $result->image != null ) && ( JFile::exists($result->image) ))
					{
						$return = '<img src="'.$result->image.'" alt="'.$result->content.'" title="'.$result->content.'" />';
					} else {
						$return = $result->content;
					}

					if ( $this->params->get('show_fieldlink', 1) && ( $field->filter == 1 ) )
					{
						$link = 'javascript:setSearchField(\'filter_'.$name_field.'\',\''.$this->item->$name_field.'\')';
						//$link= 'index.php?option=com_collector&view=collection&id='.$model->_id.'&Itemid='.$this->itemid.'&filter_'.$name_field.'='.$this->item->$name_field;
						return '<a href="'.$link.'">'.$return.'</a>';
					}
					else
					{
						return $return;
					}
				}
				break;

			case 4 :
				$object = $model->getObject($field,$this->item->$name_field);
				
				$link = JRoute::_('index.php?option=com_collector&view=item&id='.$object->collection.'&item='.$object->slug);
				
				return '<a href="'.$link.'">'.$object->name.'</a>';
				
				return $object;
			
				echo $model->_buildQuery();
				//echo'<pre>'; var_dump($this->item->$name_field); echo'</pre>';

				//echo'<pre>'; var_dump($field); echo'</pre>';
				$req = 'SELECT *
						FROM #__collector_items_'.$field->defined. '
						WHERE state=1
							AND item="'.$this->item->$name_field.'"';

				return $req;

				return JHTML::_('select.genericlist', $results, $name_field, ' class="inputbox" size="1" ', 'value', 'text', $this->item->$name_field);



			case 5 : // champ image
				$imageInfos = explode('|',$this->item->$name_field);
				$imageUrl = $imageInfos[0];
				$imagePath = implode(DS,explode('/',$imageUrl));
				$imageName = JFile::getName(JPATH_SITE.DS.$imagePath);
				$imageDesc = $imageInfos[1] ? $imageInfos[1] : $imageName;
				$imageTitle = $imageInfos[2] ? $imageInfos[2] : $imageName;
				if ($this->item->$name_field == '')
				{
					// image de substitution
					$image=JPATH_SITE.DS.'components'.DS.'com_collector'.DS.'assets'.DS.'images'.DS.'camera.png'; // adresse de l'image
					$URLimage='./components/com_collector/assets/images/camera.png'; // adresse de l'image
				}
				else
				{
					$image=JPATH_SITE.DS.$imageInfos[0]; // adresse de l'image
					if (!file_exists($image)) {
						$image=JPATH_SITE.DS.'components'.DS.'com_collector'.DS.'assets'.DS.'images'.DS.'camera.png'; // adresse de l'image
						$URLimage='./components/com_collector/assets/images/camera.png'; // adresse de l'image
					} else {
						$URLimage='./'.$imageInfos[0]; // adresse de l'image
					}
				}

				return '<img alt="'.$imageDesc.'" title="'.$imageTitle.'" src="'.$URLimage.'" name="preview" />';

			case 6 : // champ nombre
				if ( $this->item->$name_field != '' )
				{
					$query = 'SELECT template FROM #__collector_fields WHERE id = "'.$field->id.'"';
					$db->setQuery( $query );
					$template = $db->loadResult();
					if ( $template == '' )
					{
						$template = '%%';
					}
					$return = JString::str_ireplace( '%%', $this->item->$name_field, $template );
				}
				else
				{
					$return = '';
				}
				return htmlspecialchars($return, ENT_QUOTES);

			case 7 : // champ date
				$query = 'SELECT template FROM #__collector_fields WHERE id = "'.$field->id.'"';
				$db->setQuery( $query );
				$template = $db->loadResult();
				if ( $template == '' )
				{
					$template = '%Y-%m-%d %H:%M:%S';
				}
				$timestamp = strtotime($this->item->$name_field);
				return JHTML::_( 'date', $timestamp, $template, 0);

			case 8 : // champ fichier
				$fileInfos = explode('|',$this->item->$name_field);
				$fileUrl = $fileInfos[0];
				
				if ( $fileUrl == '' )
				{
					return '';
				}
				else
				{
					$filePath = implode(DS,explode('/',$fileUrl));
					$fileName = JFile::getName(JPATH_SITE.DS.$filePath);
					$fileDesc = $fileInfos[1] ? $fileInfos[1] : $fileName;
					$fileTitle = $fileInfos[2] ? $fileInfos[1] : $fileName;
					
					$ext = JFile::getExt(JPATH_SITE.DS.$filePath);
					$query = 'SELECT ico';
					$query .= ' FROM #__collector_files_ext';
					$query .= ' WHERE ext="'.$ext.'"';
					$db->setQuery( $query );
					$ico = $db->loadResult();
					$URLico='./administrator/components/com_collector/assets/images/'.$ico;
					return '<a href="'.$fileUrl.'" target="_blank" title="'.$fileTitle.'" ><img src="'.$URLico.'" /> '. $fileDesc . '</a>';
				}

			default :
				return JText::_( 'COM_COLLECTOR_NO_FIELD_CREATED' );
		}
	}

	/**
	 * Method to display a field in form
	 *
	 * @access	public
	 * @param	int		$i	Index in fields array
	 * @return	string		HTML field
	 */
	function getFieldDetail($i)
	{
		$field = $this->fields[$i];
		if ( $field->edit == 1 )
		{
			return $this->createFieldEdition($field);
		}
		else
		{
			return $this->createFieldDescription($field);
		}
	}

}

}else{
//Code pour Joomla >= 1.6.0
/**
 * HTML Item View class for the Collector component
 *
 * @package	Collector
 */
class CollectorViewItem extends JView
{
	protected $collection;
	protected $fields;
	protected $item;
	protected $params;
	protected $form;
	protected $state;
	protected $user;
	protected $pane;
	protected $navigation;
	
	/**
	 * Display function
	 */
	public function display($tpl = null)
	{
		// Initialise variables.
		$app		= JFactory::getApplication();
		$user		= JFactory::getUser();
		$userId		= $user->get('id');
		
		$this->params		= $app->getParams();
		
		// get the Data
		$this->collection	= $this->get('Collection');
		$this->fields		= $this->get('Fields');
		
		if ( $this->getLayout() != 'form' ) {
			$this->item			= $this->get('ItemDisplay');
		}
		$this->form			= $this->get('Form');
		$this->state		= $this->get('State');
		if (( $this->getLayout() != 'form' ) && ( $this->params->get('navigation',1) )) {
			$this->navigation	= $this->get('Navigation');
		}
		$this->user			= $user;

		// Load pane behavior
		jimport('joomla.html.pane');

		$this->pane			=& JPane::getInstance('tabs');

		if (($this->collection->id == 0))
		{
			$id = JRequest::getVar( 'id', '', 'default', 'int' );
			return JError::raiseError( 404, JText::sprintf( 'COM_COLLECTOR_COLLECTION_NOT_FOUND', $id ) );
		}

		// Compute the collection slug.
		$this->collection->slug = $this->collection->alias ? ($this->collection->id . ':' . $this->collection->alias) : $this->collection->id;
		
		if ( $this->getLayout() != 'form' ) {
			// Compute the item slug.
			$this->item->slug = $this->item->alias ? ($this->item->id . ':' . $this->item->alias) : $this->item->id;
		}

		// Increment the hit counter of the article.
		$model = $this->getModel();
		$model->hit();
		
		$canEdit = $this->params->get('access-edit');
		if ( $canEdit ) {
			$context = 'com_collector.edit.item';
			$values = (array) $app->getUserState($context . '.id');
			array_push($values, (int) $this->item->id);
            $values = array_unique($values);
            $app->setUserState($context . '.id', $values);
		}
		
		$this->assignRef( 'canEdit', $canEdit );
		
		$this->_prepareDocument();
		
		parent::display($tpl);
	}

	/**
	 * Prepares the document
	 */
	protected function _prepareDocument()
	{
		$app	= JFactory::getApplication();
		$menus	= $app->getMenu();
		$pathway = $app->getPathway();
		$title = null;

		// Because the application sets a default page title,
		// we need to get it from the menu item itself
		$menu = $menus->getActive();
		if ($menu)
		{
			$this->params->def('page_heading', $this->params->get('page_title', $menu->title));
		}
		else
		{
			$this->params->def('page_heading', $this->item->titleItem);
		}

		$title = $this->params->get('page_title', '');

		$id = (int) @$menu->query['id'];

		// if the menu item does not concern this article
		if ($menu && ($menu->query['option'] != 'com_collector' || $menu->query['view'] != 'item' ))
		{
			// If this is not a single article menu item, set the page title to the article title
			if ($this->item->titleItem) {
				$title = $this->item->titleItem;
			}
			$path = array(array('title' => $this->item->titleItem, 'link' => ''));
			
			if ($menu && ($menu->query['option'] != 'com_collector' || $menu->query['view'] != 'collection' || $id != $this->collection->id))
			{
				$path[] = array('title' => $this->collection->name, 'link' => JRoute::_('index.php?option=com_collector&view=collection&id='.$this->collection->id));
			}
			
			$path = array_reverse($path);
			
			foreach($path as $item)
			{
				$pathway->addItem($item['title'], $item['link']);
			}
		}

		// Check for empty title and add site name if param is set
		if (empty($title)) {
			$title = $app->getCfg('sitename');
		}
		elseif ($app->getCfg('sitename_pagetitles', 0) == 1) {
			$title = JText::sprintf('JPAGETITLE', $app->getCfg('sitename'), $title);
		}
		elseif ($app->getCfg('sitename_pagetitles', 0) == 2) {
			$title = JText::sprintf('JPAGETITLE', $title, $app->getCfg('sitename'));
		}
		if (empty($title)) {
			$title = $this->item->titleItem;
		}
		$this->document->setTitle($title);

		// if ($this->item->metadesc)
		// {
			// $this->document->setDescription($this->item->metadesc);
		// }
		// elseif (!$this->item->metadesc && $this->params->get('menu-meta_description'))
		// {
			// $this->document->setDescription($this->params->get('menu-meta_description'));
		// }

		// if ($this->item->metakey)
		// {
			// $this->document->setMetadata('keywords', $this->item->metakey);
		// }
		// elseif (!$this->item->metakey && $this->params->get('menu-meta_keywords'))
		// {
			// $this->document->setMetadata('keywords', $this->params->get('menu-meta_keywords'));
		// }

		// if ($this->params->get('robots'))
		// {
			// $this->document->setMetadata('robots', $this->params->get('robots'));
		// }

		// if ($app->getCfg('MetaAuthor') == '1')
		// {
			// $this->document->setMetaData('author', $this->item->author);
		// }

		// $mdata = $this->item->metadata->toArray();
		// foreach ($mdata as $k => $v)
		// {
			// if ($v)
			// {
				// $this->document->setMetadata($k, $v);
			// }
		// }
	}
}

} ?>


